<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="AlumniList.aspx.cs" Inherits="AlumniList" Title="Alumni" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <asp:GridView ID="GV_Alumni" runat="server" AllowPaging="True" AllowSorting="True"
        CssClass="List_GridView" PageSize="50" SkinID="Skin_GridView" AutoGenerateColumns="False" DataKeyNames="Id" DataSourceID="ODS_Alumni" OnSelectedIndexChanging="GV_Users_RowSelecting">
        <Columns>
            <asp:BoundField DataField="Meno" HeaderText="Meno" SortExpression="Meno">
                <ItemStyle Width="150px" />
            </asp:BoundField>
            <asp:BoundField DataField="Priezvisko" HeaderText="Priezvisko" SortExpression="Priezvisko">
                <ItemStyle Width="150px" />
            </asp:BoundField>
            <asp:BoundField DataField="Tituly" HeaderText="Tituly" NullDisplayText="iadne" SortExpression="Tituly">
                <ItemStyle Width="100px" />
            </asp:BoundField>
            <asp:BoundField DataField="RokAbsolvovania" HeaderText="Rok absolvovania" NullDisplayText="Nezn&#225;my"
                SortExpression="RokAbsolvovania">
                <ItemStyle Width="100px" />
            </asp:BoundField>
            <asp:CommandField SelectText="Vyber" ShowSelectButton="True">
                <ItemStyle CssClass="List_GridView_Command" />
            </asp:CommandField>
        </Columns>
        <EmptyDataTemplate>
            <uc:ShowErrorControl ID="UC_EC_NoData" ErrorText="V databze nie s iadny absolventi" runat="server" />
        </EmptyDataTemplate>
    </asp:GridView>
    <asp:ObjectDataSource ID="ODS_Alumni" runat="server" DataObjectTypeName="Osoba" DeleteMethod="Delete"
        EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
        SelectCountMethod="SelectCountByTypOsobyId" SelectMethod="SelectByTypOsobyIdPagedSorted" TypeName="OsobaBLL"
        UpdateMethod="Update" SortParameterName="sortExpression">
        <SelectParameters>
            <asp:Parameter DefaultValue="2" Name="typOsobyId" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>

