using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class JazykHodnotenieBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( JazykHodnotenie jazykHodnotenie )
    {
        JazykHodnotenieDAL.Delete( jazykHodnotenie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( JazykHodnotenie jazykHodnotenie )
    {
        JazykHodnotenieDAL.Insert( jazykHodnotenie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<JazykHodnotenie> Select()
    {
        return JazykHodnotenieDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static JazykHodnotenie SelectById( int id )
    {
        return JazykHodnotenieDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<JazykHodnotenie> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( JazykHodnotenieDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return JazykHodnotenieDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( JazykHodnotenie jazykHodnotenie )
    {
        JazykHodnotenieDAL.Update( jazykHodnotenie );
    }

    private static List<JazykHodnotenie> PagedAndSorted( List<JazykHodnotenie> jazykHodnotenieList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<JazykHodnotenie> result = new List<JazykHodnotenie>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            jazykHodnotenieList.Sort( new ObjectComparer<JazykHodnotenie>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = jazykHodnotenieList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( jazykHodnotenieList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
