using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class OdpovedBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( Odpoved odpoved )
    {
        OdpovedDAL.Delete( odpoved );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( Odpoved odpoved )
    {
        OdpovedDAL.Insert( odpoved );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<Odpoved> Select()
    {
        return OdpovedDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static Odpoved SelectById( int id )
    {
        return OdpovedDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Odpoved> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( OdpovedDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return OdpovedDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( Odpoved odpoved )
    {
        OdpovedDAL.Update( odpoved );
    }

    private static List<Odpoved> PagedAndSorted( List<Odpoved> odpovedList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<Odpoved> result = new List<Odpoved>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            odpovedList.Sort( new ObjectComparer<Odpoved>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = odpovedList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( odpovedList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
