using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class PoziciaOdvetvieBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( PoziciaOdvetvie poziciaOdvetvie )
    {
        PoziciaOdvetvieDAL.Delete( poziciaOdvetvie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( PoziciaOdvetvie poziciaOdvetvie )
    {
        PoziciaOdvetvieDAL.Insert( poziciaOdvetvie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<PoziciaOdvetvie> Select()
    {
        return PoziciaOdvetvieDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static PoziciaOdvetvie SelectById( int id )
    {
        return PoziciaOdvetvieDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<PoziciaOdvetvie> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( PoziciaOdvetvieDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return PoziciaOdvetvieDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( PoziciaOdvetvie poziciaOdvetvie )
    {
        PoziciaOdvetvieDAL.Update( poziciaOdvetvie );
    }

    private static List<PoziciaOdvetvie> PagedAndSorted( List<PoziciaOdvetvie> poziciaOdvetvieList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<PoziciaOdvetvie> result = new List<PoziciaOdvetvie>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            poziciaOdvetvieList.Sort( new ObjectComparer<PoziciaOdvetvie>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = poziciaOdvetvieList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( poziciaOdvetvieList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
