using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class SkupinovaSpravaBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( SkupinovaSprava skupinovaSprava )
    {
        SkupinovaSpravaDAL.Delete( skupinovaSprava );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( SkupinovaSprava skupinovaSprava )
    {
        SkupinovaSpravaDAL.Insert( skupinovaSprava );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<SkupinovaSprava> Select()
    {
        return SkupinovaSpravaDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static SkupinovaSprava SelectById( int id )
    {
        return SkupinovaSpravaDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<SkupinovaSprava> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( SkupinovaSpravaDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return SkupinovaSpravaDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( SkupinovaSprava skupinovaSprava )
    {
        SkupinovaSpravaDAL.Update( skupinovaSprava );
    }

    private static List<SkupinovaSprava> PagedAndSorted( List<SkupinovaSprava> skupinovaSpravaList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<SkupinovaSprava> result = new List<SkupinovaSprava>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            skupinovaSpravaList.Sort( new ObjectComparer<SkupinovaSprava>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = skupinovaSpravaList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( skupinovaSpravaList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
