using System;
using System.Data;
using System.Configuration;

public partial class Adresa
{
    private int id;
    private int? osobaId;
    private int? zamestnanieId;
    private string ulica;
    private string psc;
    private string mesto;
    private int statId;

    public Adresa() {}

    public Adresa( int id, string ulica, string psc, string mesto, int statId )
    {
        this.id = id;
        this.osobaId = null;
        this.zamestnanieId = null;
        this.ulica = ulica;
        this.psc = psc;
        this.mesto = mesto;
        this.statId = statId;
    }

    public Adresa( int id, int? osobaId, int? zamestnanieId, string ulica, string psc, 
        string mesto, int statId
    )
    {
        this.id = id;
        this.osobaId = osobaId;
        this.zamestnanieId = zamestnanieId;
        this.ulica = ulica;
        this.psc = psc;
        this.mesto = mesto;
        this.statId = statId;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public int? OsobaId
    {
        get { return osobaId; }
        set { osobaId = value; }
    }
    public int? ZamestnanieId
    {
        get { return zamestnanieId; }
        set { zamestnanieId = value; }
    }
    public string Ulica
    {
        get { return ulica; }
        set { ulica = value; }
    }
    public string Psc
    {
        get { return psc; }
        set { psc = value; }
    }
    public string Mesto
    {
        get { return mesto; }
        set { mesto = value; }
    }
    public int StatId
    {
        get { return statId; }
        set { statId = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        if ( reader.IsDBNull(1) ) osobaId = null;
        else osobaId = reader.GetInt32(1);

        if ( reader.IsDBNull(2) ) zamestnanieId = null;
        else zamestnanieId = reader.GetInt32(2);

        ulica = reader.GetString(3);

        psc = reader.GetString(4);

        mesto = reader.GetString(5);

        statId = reader.GetInt32(6);
    }
}
