using System;
using System.Data;
using System.Configuration;

public partial class Anketa
{
    private int id;
    private string nazov;
    private bool moznoUpravit;

    public Anketa() {}

    public Anketa( int id, string nazov, bool moznoUpravit )
    {
        this.id = id;
        this.nazov = nazov;
        this.moznoUpravit = moznoUpravit;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public string Nazov
    {
        get { return nazov; }
        set { nazov = value; }
    }
    public bool MoznoUpravit
    {
        get { return moznoUpravit; }
        set { moznoUpravit = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        nazov = reader.GetString(1);

        moznoUpravit = reader.GetBoolean(2);
    }
}
