using System;
using System.Data;
using System.Configuration;

public partial class BlacklistSprava
{
    private int id;
    private string odosielatelKonto;
    private int prijemcaId;
    private bool isSkupina;

    public BlacklistSprava() {}

    public BlacklistSprava( int id, string odosielatelKonto, int prijemcaId, bool isSkupina )
    {
        this.id = id;
        this.odosielatelKonto = odosielatelKonto;
        this.prijemcaId = prijemcaId;
        this.isSkupina = isSkupina;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public string OdosielatelKonto
    {
        get { return odosielatelKonto; }
        set { odosielatelKonto = value; }
    }
    public int PrijemcaId
    {
        get { return prijemcaId; }
        set { prijemcaId = value; }
    }
    public bool IsSkupina
    {
        get { return isSkupina; }
        set { isSkupina = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        odosielatelKonto = reader.GetString(1);

        prijemcaId = reader.GetInt32(2);

        isSkupina = reader.GetBoolean(3);
    }
}
