using System;
using System.Data;
using System.Configuration;

public partial class JazykHodnotenie
{
    private int id;
    private string hodnotenieSkupina;
    private string hodnoteniePopis;

    public JazykHodnotenie() {}

    public JazykHodnotenie( int id, string hodnotenieSkupina )
    {
        this.id = id;
        this.hodnotenieSkupina = hodnotenieSkupina;
        this.hodnoteniePopis = null;
    }

    public JazykHodnotenie( int id, string hodnotenieSkupina, string hodnoteniePopis )
    {
        this.id = id;
        this.hodnotenieSkupina = hodnotenieSkupina;
        this.hodnoteniePopis = hodnoteniePopis;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public string HodnotenieSkupina
    {
        get { return hodnotenieSkupina; }
        set { hodnotenieSkupina = value; }
    }
    public string HodnoteniePopis
    {
        get { return hodnoteniePopis; }
        set { hodnoteniePopis = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        hodnotenieSkupina = reader.GetString(1);

        if ( reader.IsDBNull(2) ) hodnoteniePopis = null;
        else hodnoteniePopis = reader.GetString(2);
    }
}
