using System;
using System.Data;
using System.Configuration;

public partial class Odpoved
{
    private int id;
    private int instanciaAnketyId;
    private int osobaId;
    private int otazkaId;
    private string textOdpovede;

    public Odpoved() {}

    public Odpoved( int id, int instanciaAnketyId, int osobaId, int otazkaId, string textOdpovede )
    {
        this.id = id;
        this.instanciaAnketyId = instanciaAnketyId;
        this.osobaId = osobaId;
        this.otazkaId = otazkaId;
        this.textOdpovede = textOdpovede;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public int InstanciaAnketyId
    {
        get { return instanciaAnketyId; }
        set { instanciaAnketyId = value; }
    }
    public int OsobaId
    {
        get { return osobaId; }
        set { osobaId = value; }
    }
    public int OtazkaId
    {
        get { return otazkaId; }
        set { otazkaId = value; }
    }
    public string TextOdpovede
    {
        get { return textOdpovede; }
        set { textOdpovede = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        instanciaAnketyId = reader.GetInt32(1);

        osobaId = reader.GetInt32(2);

        otazkaId = reader.GetInt32(3);

        textOdpovede = reader.GetString(4);
    }
}
