using System;
using System.Data;
using System.Configuration;

public partial class Otazka
{
    private int id;
    private string textOtazky;
    private short typOdpovede;
    private string ine;
    private int anketaId;

    public Otazka() {}

    public Otazka( int id, string textOtazky, short typOdpovede, int anketaId )
    {
        this.id = id;
        this.textOtazky = textOtazky;
        this.typOdpovede = typOdpovede;
        this.ine = null;
        this.anketaId = anketaId;
    }

    public Otazka( int id, string textOtazky, short typOdpovede, string ine, int anketaId )
    {
        this.id = id;
        this.textOtazky = textOtazky;
        this.typOdpovede = typOdpovede;
        this.ine = ine;
        this.anketaId = anketaId;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public string TextOtazky
    {
        get { return textOtazky; }
        set { textOtazky = value; }
    }
    public short TypOdpovede
    {
        get { return typOdpovede; }
        set { typOdpovede = value; }
    }
    public string Ine
    {
        get { return ine; }
        set { ine = value; }
    }
    public int AnketaId
    {
        get { return anketaId; }
        set { anketaId = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        textOtazky = reader.GetString(1);

        typOdpovede = reader.GetInt16(2);

        if ( reader.IsDBNull(3) ) ine = null;
        else ine = reader.GetString(3);

        anketaId = reader.GetInt32(4);
    }
}
