using System;
using System.Data;
using System.Configuration;

public partial class Oznam
{
    private int id;
    private int osobaId;
    private string nazov;
    private DateTime datumPlatnosti;
    private int typOznamuId;
    private string popis;

    public Oznam() {}

    public Oznam( int id, int osobaId, string nazov, DateTime datumPlatnosti, int typOznamuId, 
        string popis
    )
    {
        this.id = id;
        this.osobaId = osobaId;
        this.nazov = nazov;
        this.datumPlatnosti = datumPlatnosti;
        this.typOznamuId = typOznamuId;
        this.popis = popis;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public int OsobaId
    {
        get { return osobaId; }
        set { osobaId = value; }
    }
    public string Nazov
    {
        get { return nazov; }
        set { nazov = value; }
    }
    public DateTime DatumPlatnosti
    {
        get { return datumPlatnosti; }
        set { datumPlatnosti = value; }
    }
    public int TypOznamuId
    {
        get { return typOznamuId; }
        set { typOznamuId = value; }
    }
    public string Popis
    {
        get { return popis; }
        set { popis = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        osobaId = reader.GetInt32(1);

        nazov = reader.GetString(2);

        datumPlatnosti = reader.GetDateTime(3);

        typOznamuId = reader.GetInt32(4);

        popis = reader.GetString(5);
    }
}
