using System;
using System.Data;
using System.Configuration;

public partial class Sprava
{
    
    private string odosielatel_konto;
    private string odosielatel;
    
    private string prijemca_konto;
    private string prijemca;
    
 //   private decimal priecinok;
   
    private string typ_spravy;
    private string prijemca_skup;

    public Sprava( int id, int odosielatelId, int prijemcaId, DateTime cas,
        bool precitana, bool odosielatel_kos, bool prijemca_kos, bool odosielatel_zmazana, bool prijemca_zmazana, bool notifikovat
    )
    {
        this.id = id;
        this.odosielatelId = odosielatelId;
        this.prijemcaId = prijemcaId;
        this.cas = cas;
        this.predmet = null;
        this.text = null;
  //      this.priecinok = priecinok;
        this.precitana = precitana;
        this.odosielatelKos = odosielatel_kos;
        this.prijemcaKos = prijemca_kos;
        this.odosielatelZmazana = odosielatel_zmazana;
        this.prijemcaZmazana = prijemca_zmazana;
        this.notifikovat = notifikovat;
    }

    public Sprava( int id, int odosielatelId, int prijemcaId, DateTime cas, string predmet,
        string text, bool precitana, bool odosielatel_kos, bool prijemca_kos, bool odosielatel_zmazana, bool prijemca_zmazana, bool notifikovat
    )
    {
        this.id = id;
        this.odosielatelId = odosielatelId;
        this.prijemcaId = prijemcaId;
        this.cas = cas;
        this.predmet = predmet;
        this.text = text;
  //      this.priecinok = priecinok;
        this.precitana = precitana;
        this.odosielatelKos = odosielatel_kos;
        this.prijemcaKos = prijemca_kos;
        this.odosielatelZmazana = odosielatel_zmazana;
        this.prijemcaZmazana = prijemca_zmazana;
        this.notifikovat = notifikovat;
    }

    #region Properties

    public string OdosielatelKonto
    {
        get { return odosielatel_konto; }
        set { odosielatel_konto = value; }
    }
    public string Odosielatel
    {
        get { return odosielatel; }
        set { odosielatel = value; }
    }
    public string PrijemcaKonto
    {
        get { return prijemca_konto; }
        set { prijemca_konto = value; }
    }
    public string Prijemca
    {
        get { return prijemca; }
        set { prijemca = value; }
    }
 /*   public decimal Priecinok
    {
        get { return priecinok; }
        set { priecinok = value; }
    }*/
    public string TypSpravy
    {
        get { return typ_spravy; }
        set { typ_spravy = value; }
    }

    public string PrijemcaSkup
    {
        get { return prijemca_skup; }
        set { prijemca_skup = value; }
    }

    #endregion

    public void ValuesFromReader0(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(2);

            cas = reader.GetDateTime(3);

            if (reader.IsDBNull(4)) predmet = null;
            else predmet = reader.GetString(4);

            if (reader.IsDBNull(5)) text = null;
            else text = reader.GetString(5);

            //       priecinok = reader.GetDecimal(6);

            precitana = reader.GetBoolean(6);

            odosielatelKos = reader.GetBoolean(7);

            prijemcaKos = reader.GetBoolean(8);

            odosielatelZmazana = reader.GetBoolean(9);

            prijemcaZmazana = reader.GetBoolean(10);

            notifikovat = reader.GetBoolean(11);

            odosielatel_konto = reader.GetString(12);

            odosielatel += reader.GetString(13) + " ";

            odosielatel += reader.GetString(14);

            /*     odosielatel += " " + reader.GetString(11);

                 if (reader.IsDBNull(12)) odosielatel += "";
                 else odosielatel += ", " + reader.GetString(12);*/
        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReader1(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(2);

            cas = reader.GetDateTime(3);

            if (reader.IsDBNull(4)) predmet = null;
            else predmet = reader.GetString(4);

            if (reader.IsDBNull(5)) text = null;
            else text = reader.GetString(5);

            //           priecinok = reader.GetDecimal(6);

            precitana = reader.GetBoolean(6);

            odosielatelKos = reader.GetBoolean(7);

            prijemcaKos = reader.GetBoolean(8);

            odosielatelZmazana = reader.GetBoolean(9);

            prijemcaZmazana = reader.GetBoolean(10);

            notifikovat = reader.GetBoolean(11);

            typSpravyId = reader.GetInt32(12);

            odosielatel_konto = reader.GetString(13);

            odosielatel = reader.GetString(14) + " ";

            odosielatel += reader.GetString(15);

            typ_spravy = reader.GetString(16);

            /*        prijemca += " " + reader.GetString(11);

                    if (reader.IsDBNull(12)) prijemca += "";
                    else prijemca += ", " + reader.GetString(12);*/

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReaderVymazat(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelZmazana = reader.GetBoolean(1);

            typSpravyId = reader.GetInt32(2);

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReaderVymazatOdoslane(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            prijemcaZmazana = reader.GetBoolean(1);

            typSpravyId = reader.GetInt32(2);

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReaderPrecitana(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            precitana = reader.GetBoolean(1);

            notifikovat = reader.GetBoolean(2);

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReaderNotifikovat(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            precitana = reader.GetBoolean(1);

            notifikovat = reader.GetBoolean(2);

            typSpravyId = reader.GetInt32(3);

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReaderBlackList(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatel_konto = reader.GetString(1);

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReader2(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(2);

            cas = reader.GetDateTime(3);

            if (reader.IsDBNull(4)) predmet = null;
            else predmet = reader.GetString(4);

            if (reader.IsDBNull(5)) text = null;
            else text = reader.GetString(5);

 //           priecinok = reader.GetDecimal(6);

            precitana = reader.GetBoolean(6);

            odosielatelKos = reader.GetBoolean(7);

            prijemcaKos = reader.GetBoolean(8);

            odosielatelZmazana = reader.GetBoolean(9);

            prijemcaZmazana = reader.GetBoolean(10);

            notifikovat = reader.GetBoolean(11);

            typSpravyId = reader.GetInt32(12);

            prijemca_konto = reader.GetString(13);

            prijemca = reader.GetString(14) + " ";

            prijemca += reader.GetString(15);

            typ_spravy = reader.GetString(16);

    /*        prijemca += " " + reader.GetString(11);

            if (reader.IsDBNull(12)) prijemca += "";
            else prijemca += ", " + reader.GetString(12);*/
            
        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }
    /*
    public void ValuesFromReader5(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(2);

      //      cas = reader.GetDateTime(3);

            //if (reader.IsDBNull(4)) predmet = null;
            //else predmet = reader.GetString(4);

            //if (reader.IsDBNull(5)) text = null;
            //else text = reader.GetString(5);

            //           priecinok = reader.GetDecimal(6);

            //precitana = reader.GetBoolean(6);

            //odosielatel_kos = reader.GetBoolean(7);

            //prijemca_kos = reader.GetBoolean(8);

            odosielatel_zmazana = reader.GetBoolean(3);

            prijemca_zmazana = reader.GetBoolean(4);

            //notifikovat = reader.GetBoolean(11);

            typSpravyId = reader.GetInt32(5);

            //prijemca_konto = reader.GetString(13);

            //prijemca = reader.GetString(14) + " ";

            //prijemca += reader.GetString(15);

            typ_spravy = reader.GetString(6);

                    //prijemca += " " + reader.GetString(11);

                    //if (reader.IsDBNull(12)) prijemca += "";
                    //else prijemca += ", " + reader.GetString(12);

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }
    */

    public void ValuesFromReader6(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

    //        odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(1);

            //      cas = reader.GetDateTime(3);

            if (reader.IsDBNull(2)) predmet = null;
            else predmet = reader.GetString(2);

            if (reader.IsDBNull(3)) text = null;
            else text = reader.GetString(3);

            //           priecinok = reader.GetDecimal(6);

            //precitana = reader.GetBoolean(6);

            //odosielatel_kos = reader.GetBoolean(7);

            //prijemca_kos = reader.GetBoolean(8);

            //odosielatel_zmazana = reader.GetBoolean(3);

            //prijemca_zmazana = reader.GetBoolean(4);

            //notifikovat = reader.GetBoolean(11);

            typSpravyId = reader.GetInt32(4);

            prijemca_konto = reader.GetString(5);

            //prijemca = reader.GetString(14) + " ";

            //prijemca += reader.GetString(15);

            typ_spravy = reader.GetString(6);

            /*        prijemca += " " + reader.GetString(11);

                    if (reader.IsDBNull(12)) prijemca += "";
                    else prijemca += ", " + reader.GetString(12);*/

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReader7(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            //prijemcaId = reader.GetInt32(1);

            cas = reader.GetDateTime(2);

            if (reader.IsDBNull(3)) predmet = null;
            else predmet = reader.GetString(3);

            if (reader.IsDBNull(4)) text = null;
            else text = reader.GetString(4);

            //           priecinok = reader.GetDecimal(6);

            //precitana = reader.GetBoolean(6);

            //odosielatel_kos = reader.GetBoolean(7);

            //prijemca_kos = reader.GetBoolean(8);

            //odosielatel_zmazana = reader.GetBoolean(3);

            //prijemca_zmazana = reader.GetBoolean(4);

            //notifikovat = reader.GetBoolean(11);

            typSpravyId = reader.GetInt32(5);

            odosielatel_konto = reader.GetString(6);

            //prijemca = reader.GetString(14) + " ";

            //prijemca += reader.GetString(15);

            typ_spravy = reader.GetString(7);

            /*        prijemca += " " + reader.GetString(11);

                    if (reader.IsDBNull(12)) prijemca += "";
                    else prijemca += ", " + reader.GetString(12);*/

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReader8(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(2);

            cas = reader.GetDateTime(3);

            if (reader.IsDBNull(4)) predmet = null;
            else predmet = reader.GetString(4);

            precitana = reader.GetBoolean(5);

            odosielatelKos = reader.GetBoolean(6);

            prijemcaKos = reader.GetBoolean(7);

            odosielatelZmazana = reader.GetBoolean(8);

            prijemcaZmazana = reader.GetBoolean(9);

            notifikovat = reader.GetBoolean(10);

            typSpravyId = reader.GetInt32(11);

            odosielatel_konto = reader.GetString(12);

            prijemca_konto = reader.GetString(13);

            odosielatel += reader.GetString(14) + " ";

            odosielatel += reader.GetString(15);

            typ_spravy = reader.GetString(16);

            /*        prijemca += " " + reader.GetString(11);

                    if (reader.IsDBNull(12)) prijemca += "";
                    else prijemca += ", " + reader.GetString(12);*/

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReader3(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(2);

            cas = reader.GetDateTime(3);

            if (reader.IsDBNull(4)) predmet = null;
            else predmet = reader.GetString(4);

            precitana = reader.GetBoolean(5);

            odosielatelKos = reader.GetBoolean(6);

            prijemcaKos = reader.GetBoolean(7);

            odosielatelZmazana = reader.GetBoolean(8);

            prijemcaZmazana = reader.GetBoolean(9);

            notifikovat = reader.GetBoolean(10);

            typSpravyId = reader.GetInt32(11);

            odosielatel_konto = reader.GetString(12);

            odosielatel += reader.GetString(13) + " ";

            odosielatel += reader.GetString(14);

            typ_spravy = reader.GetString(15);

            /*        prijemca += " " + reader.GetString(11);

                    if (reader.IsDBNull(12)) prijemca += "";
                    else prijemca += ", " + reader.GetString(12);*/

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }

    public void ValuesFromReader4(int id, IDataReader reader)
    {
        try
        {
            this.id = id;

            odosielatelId = reader.GetInt32(1);

            prijemcaId = reader.GetInt32(2);

            cas = reader.GetDateTime(3);

            if (reader.IsDBNull(4)) predmet = null;
            else predmet = reader.GetString(4);

            precitana = reader.GetBoolean(5);

            odosielatelKos = reader.GetBoolean(6);

            prijemcaKos = reader.GetBoolean(7);

            odosielatelZmazana = reader.GetBoolean(8);

            prijemcaZmazana = reader.GetBoolean(9);

            notifikovat = reader.GetBoolean(10);

            typSpravyId = reader.GetInt32(11);

            prijemca_konto = reader.GetString(12);

            prijemca += reader.GetString(13) + " ";

            prijemca += reader.GetString(14);

            typ_spravy = reader.GetString(15);

            //if (reader.IsDBNull(16)) prijemca_skup = null;
            //else prijemca_skup = reader.GetString(16);

            /*        prijemca += " " + reader.GetString(11);

                    if (reader.IsDBNull(12)) prijemca += "";
                    else prijemca += ", " + reader.GetString(12);*/

        }
        catch (System.IndexOutOfRangeException ioore)
        {
        }
    }
}
