using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;

public partial class Board : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        List<Oznam> oznamList = OznamDAL.Select();

        foreach( Oznam oznam in oznamList )
        {
            if( oznam.DatumPlatnosti < DateTime.Now ) OznamDAL.Delete( oznam );
        }
    }
 
    protected void BN_Add_Click(object sender, EventArgs e)
    {
        Response.Redirect("InsertNotice.aspx");
    }
    protected void GV_Oznamy_SelectedIndexChanging(object sender, GridViewSelectEventArgs e)
    {
        int id = Convert.ToInt32( GV_Oznamy.DataKeys[e.NewSelectedIndex].Value );

        Response.Redirect("ShowNotice.aspx?Id=" + id.ToString());
    }
}
