using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class AddBlackListItemUC : System.Web.UI.UserControl
{
    CustomPrincipal osoba;
    private Osoba prijemca;
    private Sprava reSprava;
    private List<Sprava> spravy;
    private string[] konta;
    //private System.Collections.Generic.Dictionary<string,Osoba> exist = new System.Collections.Generic.Dictionary<string,Osoba>();
    //private System.Collections.Generic.Dictionary<string,string> noexist = new System.Collections.Generic.Dictionary<string,string>();
    private List<string> exist = new List<string>();
    private List<string> noexist = new List<string>();

    public CustomPrincipal Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

   

    protected void Page_Load(object sender, EventArgs e)
    {
        //Text3.Text += "aaaaaaaaaaaaaaaaaa" + BN_Odoslat.UniqueID + "aaaaaaaaaaaaa";
        //if (Request.Form[BN_Odoslat.UniqueID] != null)
        //{
        //    Text3.Text += "OK";
        //    Page.Validate("AddGroup");
        //    if (RFV_KontoEmpty.IsValid)
        //    {
        //     //   konta = TB_Konto.Text.Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);
        //        konta = Request.Form[TB_Konto.UniqueID].Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);
        //        Text3.Text += "cccccccc"+Request.Form[TB_Konto.UniqueID]+"cccccccc";
        //        addBlackListItem();

        //        if (exist.Count > 0) success();
        //        if (noexist.Count > 0) { unsuccess(); RFV_KontoNotExist.IsValid = false; }
        //    }
        //    else
        //    {
        //        ShowError("Odosielate nepridan");
        //    }
        //    exist.Clear();
        //    noexist.Clear();
        //}
        Text3.EnableViewState = false;
        loadTypOsoby();
        loadRokAbsolvovania();
        LB_Skupiny.Attributes.Add("ondblclick", "this.form." + TB_Konto.UniqueID + ".value+=(this.selectedIndex>=0)?this.options[this.selectedIndex].value+',':''");
        RFV_KontoNotExist.IsValid = true;
        System.Text.StringBuilder displayValues = new System.Text.StringBuilder();
        System.Collections.Specialized.NameValueCollection
            postedValues = Request.Form;
        String nextKey;
        for (int i = 0; i < postedValues.AllKeys.Length - 1; i++)
        {
            nextKey = postedValues.AllKeys[i];
            //  if (nextKey.Substring(0, 2) != "__")
            {
                displayValues.Append("<br>");
                displayValues.Append(nextKey);
                displayValues.Append(" = ");
                displayValues.Append(postedValues[i] + "<br>");
            }
        }
        Text3.Text += displayValues.ToString();
        if (Request.Form["sprCheckbox"] != null)
        {
            List<Sprava> tmplist = new List<Sprava>();
            int[] sprCheck = Helper.stringComaSepNumberToArray(Request.Form["sprCheckbox"].ToString());
            tmplist = SpravaBLL.SelectById4BlackList(sprCheck, osoba.Id);
            List<Sprava>.Enumerator en = tmplist.GetEnumerator();
            while (en.MoveNext())
            {
                TB_Konto.Text += en.Current.OdosielatelKonto+",";
            }
        }
    }

    public void loadTypOsoby()
    {
        ListItem li;
        System.Collections.Generic.IEnumerator<TypOsoby> en = TypOsobyBLL.Select().GetEnumerator();
        en.Reset();
        while (en.MoveNext())
        {
            li = new ListItem(en.Current.Typ, "typ:"+en.Current.Typ);
            LB_Skupiny.Items.Add(li);
        }
    }

    public void loadRokAbsolvovania()
    {
        ListItem li = new ListItem("Rok absolvovania", "rok:####");
        LB_Skupiny.Items.Add(li);
    }

    private void HideStatus2()
    {
        LA_Status2.Visible = false;
    }

    private void ShowError(string text)
    {
        LA_Status2.ForeColor = System.Drawing.Color.Red;
        LA_Status2.Text = text;
        LA_Status2.Visible = true;
    }

    private void HideStatus()
    {
        LA_Status.Visible = false;
    }

    private void ShowSuccess(string text)
    {
        LA_Status.ForeColor = System.Drawing.Color.Green;
        LA_Status.Text = text;
        LA_Status.Visible = true;
    }

    protected BlacklistSprava createBlackListSprava(string konto, bool isSkupina)
    {
        BlacklistSprava blst = new BlacklistSprava();
        blst.OdosielatelKonto = konto;
        blst.PrijemcaId = osoba.Id;
        blst.IsSkupina = isSkupina;
        return blst;
    }

    protected void addBlackListItem()
    {
        int rows;
        BlacklistSprava item;
        if (konta != null && konta.Length > 0)
        {
            for (int i = 0; i < konta.Length; i++)
            {
                konta[i] = konta[i].Trim();
                if (konta[i].StartsWith("typ:"))
                {
                    bool isSkupina = true;
                    string typOsoby = konta[i].Substring(4);
                    item = createBlackListSprava(konta[i], isSkupina);
                    rows = BlacklistSpravaBLL.Insert2TypOsoby(item);
                    if (rows > 0) exist.Add(konta[i]);
                    else noexist.Add(konta[i]);
                }
                else if (konta[i].StartsWith("rok:")) 
                {
                    bool isSkupina = true;
                    string rokAbsolvovania = konta[i].Substring(4);
                    try
                    {
                        int rokAbsolvovaniaInt = Convert.ToInt32(rokAbsolvovania);
                        item = createBlackListSprava(konta[i], isSkupina);
                        rows = BlacklistSpravaBLL.Insert2RokAbsolvovania(item);
                        if (rows > 0) exist.Add(konta[i]);
                        else noexist.Add(konta[i]);
                    }
                    catch (FormatException)
                    {
                        noexist.Add(konta[i]);
                    } 
                }
                else
                {
                    item = createBlackListSprava(konta[i],false);
                    rows = BlacklistSpravaBLL.Insert2(item);
                    Text3.Text += "errorcode" + rows + "Errorcode";
                    if (rows > 0) exist.Add(konta[i]);
                    else noexist.Add(konta[i]);
                }
                
            }
        }
    }

    protected void Button_Odoslat_Click(object sender, EventArgs e)
    {
        if (RFV_KontoEmpty.IsValid)
        {
            konta = TB_Konto.Text.Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);

            addBlackListItem();

            if (exist.Count > 0) success();
            if (noexist.Count > 0) { unsuccess(); RFV_KontoNotExist.IsValid = false; }
        }
        else
        {
            ShowError("Odosielate nepridan");
        }
        exist.Clear();
        noexist.Clear();
    }

    protected void unsuccess()
    {
        System.Text.StringBuilder str = new System.Text.StringBuilder();
        System.Text.StringBuilder str2 = new System.Text.StringBuilder();
        IEnumerator<string> en = noexist.GetEnumerator();
        en.Reset();
        while (en.MoveNext())
        {
            str.Append(en.Current + ",");
            str2.Append("<br>"+en.Current);
        }
        ShowError("Nepridan odosielatelia: " + str2.ToString());
        TB_Konto.Text = str.ToString();
    }

    protected void success()
    {
        System.Text.StringBuilder str = new System.Text.StringBuilder();
        System.Text.StringBuilder str2 = new System.Text.StringBuilder();
        IEnumerator<string> en = exist.GetEnumerator();
        en.Reset();
        while (en.MoveNext())
        {
         //   str.Append(en.Current + ",");
            str2.Append("<br>"+en.Current);
        }
     //   ShowError("Sprva spene odoslan prjemcom: " + str.ToString());
        ShowSuccess("Pridan odosielatelia: " + str2.ToString());
    //    TB_Konto.Text = str.ToString();
    }


 //   protected void Button_Odoslat_Click(object sender, EventArgs e)
 //   {
 //       if (RFV_KontoEmpty.IsValid)
 //       {
 //           konta = TB_Konto.Text.Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
            
 //           checkKontoAktiv(konta, true);

 //           if (RFV_KontoNotExist.IsValid)
 //           {
 ////               System.Text.StringBuilder str = new System.Text.StringBuilder();
 //               success();
 //           }
 //           else
 //           {
 //               if (exist.Count > 0) success();
 //               if (noexist.Count > 0) unsuccess();
 //           } 
 //       }
 //       else
 //       {
 //           ShowError("Sprva neodoslan");
 //       }
 //       exist.Clear();
 //       noexist.Clear();
 //   }

    //protected void unsuccess()
    //{
    //    System.Text.StringBuilder str = new System.Text.StringBuilder();
    //    IEnumerator<KeyValuePair<string,string>> en = noexist.GetEnumerator();
    //    en.Reset();
    //    while (en.MoveNext())
    //    {
    //        str.Append(en.Current.Key+",");
    //    }
    //    ShowError("Sprva nespene odoslan prjemcom: "+str.ToString());
    //    TB_Konto.Text = str.ToString();
    //}

    //protected void success()
    //{
    //    System.Text.StringBuilder str = new System.Text.StringBuilder();
    //    IEnumerator<KeyValuePair<string, Osoba>> en = exist.GetEnumerator();
    //    en.Reset();
    //    while (en.MoveNext())
    //    {
    //        Sprava spr = new Sprava();
    //        spr.OdosielatelId = osoba.Id;
    //        spr.PrijemcaId = en.Current.Value.Id;
    //        spr.Cas = DateTime.Now;
    //        if (TB_Predmet.Text.Equals(""))
    //        {
    //            spr.Predmet = null;
    //        }
    //        else
    //        {
    //            if (TB_Predmet.Text.Length > 100)
    //            {
    //                spr.Predmet = TB_Predmet.Text.Substring(0, 100);
    //            }
    //            else
    //            {
    //                spr.Predmet = TB_Predmet.Text;
    //            }
    //       //     spr.Predmet = enkodovatZobaciky(spr.Predmet);
    //        }
    //        if (TB_Sprava.Text.Equals("")) 
    //        {
    //            spr.Text = null;
    //        }
    //        else 
    //        {
    //            spr.Text = TB_Sprava.Text;
    //       //     spr.Text = enkodovatZobaciky(spr.Text);
    //        }
    //        SpravaBLL.Insert2(spr);
    //        str.Append(en.Current.Key+",");
            
    //    }

    //    ShowSuccess("Sprva spene odoslan prjemcom: " + str.ToString());
    //}

    

    protected void customKontoValidation(object source, ServerValidateEventArgs args)
    {
    //    customKontoValidationFunction(args.Value, true);
    }

    //protected Osoba customKontoValidationFunction(string value, bool aktiv)
    //{
    //    Osoba prijemca = OsobaBLL.SelectIdByKonto(value, aktiv);
    //    if (prijemca != null) prijemca.Konto = value;
    //    return prijemca;
    //}

    //protected void checkKontoAktiv(string[] tmp, bool aktiv)
    //{
    //    Osoba prijemca;
    //    for (int i = 0; i < tmp.Length; i++)
    //    {
    //        konta[i] = tmp[i].Trim();
    //        if ((prijemca = customKontoValidationFunction(konta[i], aktiv)) != null && prijemca.Id != osoba.Id)
    //        {
    //            try
    //            {
    //                exist.Add(prijemca.Konto, prijemca);
    //            }
    //            catch (System.ArgumentException) { continue; }
    //        }
    //        else
    //        {
    //            try
    //            {
    //                noexist.Add(konta[i], konta[i]);
    //                RFV_KontoNotExist.IsValid = false;
    //            }
    //            catch (System.ArgumentException) { continue; }
    //        }
    //    }
    //}

    protected void TB_Sprava_TextChanged(object sender, EventArgs e)
    {

    }
}
