using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class AdminProfileUC : System.Web.UI.UserControl
{
    private Osoba osoba = null;

    public Osoba Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        LA_Success.Visible = false;

        if( osoba != null )
        {
            TB_LastIP.Text = osoba.PoslednaIp;
            if( osoba.PoslednePrihlasenie.HasValue ) TB_LastLogin.Text = osoba.PoslednePrihlasenie.Value.ToString();

            MV_Access.ActiveViewIndex = Convert.ToInt32( osoba.KontoAktivne );
        }
    }
    protected void BN_Generate_Click(object sender, EventArgs e)
    {
        // TODO Zmenit heslo na dake vygenerovane a poslat email
    }
    protected void BN_Enable_Click(object sender, EventArgs e)
    {
        osoba.KontoAktivne = true;
        OsobaDAL.Update( osoba );

        MV_Access.ActiveViewIndex = 1;
    }
    protected void BN_Disable_Click(object sender, EventArgs e)
    {
        osoba.KontoAktivne = false;
        OsobaDAL.Update( osoba );

        MV_Access.ActiveViewIndex = 0;
    }
    protected void BN_Save_Click(object sender, EventArgs e)
    {
        osoba.TypOsobyId = Convert.ToInt32( DDL_Role.SelectedValue );

        OsobaDAL.Update( osoba );

        LA_Success.Visible = true;
    }
    protected void DDL_Role_DataBound(object sender, EventArgs e)
    {
        DDL_Role.Items.FindByValue( osoba.TypOsobyId.ToString() ).Selected = true;
    }
}
