using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ChangePasswordUC : System.Web.UI.UserControl
{
    private Osoba osoba = null;

    public Osoba Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        HideStatus();
    }

    private void ShowError( string text )
    {
        LA_Status.ForeColor = System.Drawing.Color.Red;
        LA_Status.Text = text;
        LA_Status.Visible = true;
    }

    private void HideStatus()
    {
        LA_Status.Visible = false;
    }

    private void ShowSuccess( string text )
    {
        LA_Status.ForeColor = System.Drawing.Color.Green;
        LA_Status.Text = text;
        LA_Status.Visible = true;
    }
    protected void BN_Save_Click(object sender, EventArgs e)
    {
        if( CryptoManager.VerifyHash( TB_OldPassowrd.Text, "SHA512", osoba.Heslo ) )
        {
            osoba.Heslo = CryptoManager.ComputeHash( TB_NewPassword.Text, "SHA512", null );
            OsobaDAL.Update( osoba );

            ShowSuccess("Heslo bolo zmenen");
        }
        else
        {
            ShowError("Pvodn heslo nieje sprvne!");
        }
    }
}
