<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditAddressUC.ascx.cs" Inherits="EditAddressUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Street" runat="server" Text="Ulica"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Street" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Street" runat="server" ControlToValidate="TB_Street"
                Display="Dynamic" ErrorMessage="Nesprvny formt ulice" ToolTip="Nesprvny formt ulice"
                ValidationExpression="[a-zA-Z0-9\040\u00C0-\u01FF]{1,100}">
                <asp:Image ID="REV_Street_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Street" runat="server" ControlToValidate="TB_Street"
                Display="Dynamic" ErrorMessage="Nie je zadan ulica" ToolTip="Nie je zadan ulica">
                <asp:Image ID="RFV_Street_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Zip" runat="server" Text="PS"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Zip" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Zip" runat="server" ControlToValidate="TB_Zip"
                Display="Dynamic" ErrorMessage="Nesprvny formt PS" ValidationExpression="\d{1,10}" ToolTip="Nesprvny formt PS">
                <asp:Image ID="REV_Zip_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Zip" runat="server" ControlToValidate="TB_Zip"
                Display="Dynamic" ErrorMessage="Nie je zadan PS" ToolTip="Nie je zadan PS">
                <asp:Image ID="RFV_Zip_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_City" runat="server" Text="Mesto"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_City" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_City" runat="server" ControlToValidate="TB_City"
                Display="Dynamic" ErrorMessage="Nesprvny formt nzvu mesta" ValidationExpression="[a-zA-Z\040\u00C0-\u01FF]{1,100}" ToolTip="Nesprvny formt nzvu mesta">
                <asp:Image ID="REV_City_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_City" runat="server" ControlToValidate="TB_City"
                Display="Dynamic" ErrorMessage="Nie je zadan mesto" ToolTip="Nie je zadan mesto">
                <asp:Image ID="RFV_City_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_State" runat="server" Text="tt"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_State" runat="server" CssClass="Form_DropDownList_Medium" DataSourceID="ODS_States" DataTextField="Nazov" DataValueField="Id" OnDataBound="DDL_State_DataBound"></asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RequiredFieldValidator ID="RFV_State" runat="server" ControlToValidate="DDL_State"
                Display="Dynamic" ErrorMessage="Nie je vybran tt" ToolTip="Nie je vybran tt">
                <asp:Image ID="RFV_State_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator></td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Success" runat="server" Visible="False" ForeColor="Green">daje uloen</asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Save" runat="server" CssClass="Button_WhiteBlue_Short" Text="Uloi" OnClick="BN_Save_Click" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>
<asp:ObjectDataSource ID="ODS_States" runat="server" DataObjectTypeName="Stat" DeleteMethod="Delete"
    InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" SelectMethod="Select"
    TypeName="StatBLL" UpdateMethod="Update"></asp:ObjectDataSource>
