<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditJobsUC.ascx.cs" Inherits="EditJobsUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Sector" runat="server" Text="Sektor"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Sector" runat="server" CssClass="Form_DropDownList_Long" DataSourceID="ODS_Sectors" DataTextField="Nazov" 
                DataValueField="Id" OnSelectedIndexChanged="DDL_Sector_SelectedIndexChanged" AutoPostBack="True" OnDataBound="DDL_Sector_DataBound">
            </asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Position" runat="server" Text="Pozicia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Position" runat="server" CssClass="Form_DropDownList_Long"></asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Started" runat="server" Text="Dtum zaiatku"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Started" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Started" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Started" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu"><asp:Image ID="REV_Started_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Started" runat="server" ControlToValidate="TB_Started"
                ErrorMessage="Nie je zadan dtum zaiatku" Display="Dynamic" ToolTip="Nie je zadan dtum narodenia"><asp:Image ID="RFV_Started_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Finished" runat="server" Text="Dtum ukonenia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Finished" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Finished" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Finished" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu"><asp:Image ID="REV_Finished_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
       <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Employer" runat="server" Text="Zamestnvate"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Employer" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Employer" runat="server" ErrorMessage="Nesprvny formt nzvu firmy" ControlToValidate="TB_Employer" 
                Display="Dynamic" ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,200}" ToolTip="Nesprvny formt nzvu firmy"><asp:Image ID="REV_Employer_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Employer" runat="server"
                ControlToValidate="TB_Employer" ErrorMessage="Nie je zadan nzov firmy" Display="Dynamic" ToolTip="Nie je zadan nzov firmy"><asp:Image ID="RFV_Employer_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>  
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Note" runat="server" Text="Poznmka"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Note" runat="server" CssClass="Form_TextArea_Long" TextMode="MultiLine"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Note" runat="server" 
                ErrorMessage="Nesprvny formt textu poznmky" ControlToValidate="TB_Note" Display="Dynamic" ValidationExpression="[a-zA-Z\s\u002A-\u0039\040\u00C0-\u01FF]{1,8000}" 
                ToolTip="Nesprvny formt textu"><asp:Image ID="REV_Note_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Button ID="BN_Insert" runat="server" CssClass="Button_WhiteBlue_Short"
                OnClick="BN_Insert_Click" Text="Prida" />
            <asp:Button ID="BN_Edit" runat="server" CssClass="Button_WhiteBlue_Short" 
                OnClick="BN_Edit_Click" Text="Zmeni" />
            <asp:Button ID="BN_New" runat="server" CausesValidation="False" CssClass="Button_WhiteBlue_Short"
                OnClick="BN_New_Click" Text="Nov" /></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
        <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:GridView ID="GV_Jobs" runat="server" AllowPaging="True" AllowSorting="True"
                AutoGenerateColumns="False" DataSourceID="ODS_Jobs" EnableViewState="False" OnRowDeleting="GV_Jobs_RowDeleting"
                OnSelectedIndexChanging="GV_Jobs_RowSelecting" SkinID="Skin_GridView" DataKeyNames="Id">
                <Columns>
                    <asp:BoundField DataField="NazovFirmy" HeaderText="NazovFirmy" SortExpression="NazovFirmy">
                        <ItemStyle Width="250px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="DatumOd" DataFormatString="{0:dd.MM.yyyy}" HeaderText="DatumOd"
                        HtmlEncode="False" SortExpression="DatumOd">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="DatumDo" DataFormatString="{0:dd.MM.yyyy}" HeaderText="DatumDo"
                        HtmlEncode="False" SortExpression="DatumDo">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:CommandField DeleteText="Zma" SelectText="Vyber" ShowDeleteButton="True" ShowSelectButton="True">
                        <ItemStyle CssClass="List_GridView_Command" />
                    </asp:CommandField>
                </Columns>
            </asp:GridView>
            <asp:ObjectDataSource ID="ODS_Jobs" runat="server" DataObjectTypeName="Zamestnanie"
                DeleteMethod="Delete" EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
                SelectCountMethod="SelectCountByOsobaId" SelectMethod="SelectByOsobaIdPagedSorted" SortParameterName="sortExpression"
                TypeName="ZamestnanieBLL" UpdateMethod="Update">
                <SelectParameters>
                    <asp:Parameter Name="osobaId" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>
<asp:ObjectDataSource ID="ODS_Sectors" runat="server" DataObjectTypeName="Odvetvie"
    DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
    SelectMethod="Select" TypeName="OdvetvieBLL" UpdateMethod="Update"></asp:ObjectDataSource>
