using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EditPrivateInfoUC : System.Web.UI.UserControl
{
    private Osoba osoba = null;

    public Osoba Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        LA_Success.Visible = false;

        if( osoba != null )
        {
            TB_BirthSurename.Text = osoba.RodnePriezvisko;
            TB_Language.Text = osoba.MaterinskyJazyk;
            TB_Nationality.Text = osoba.StatnaPrislusnost;
            TB_Birthday.Text = osoba.DatumNarodenia.ToShortDateString().Replace(" ", "");
        }
    }

    protected void BN_Save_Click(object sender, EventArgs e)
    {
        osoba.RodnePriezvisko = TB_BirthSurename.Text;
        osoba.MaterinskyJazyk = TB_Language.Text;
        osoba.StatnaPrislusnost = TB_Nationality.Text;
        osoba.DatumNarodenia = DateTime.Parse( TB_Birthday.Text );

        OsobaDAL.Update( osoba );

        LA_Success.Visible = true;
    }
}
