<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditPublicInfoUC.ascx.cs" Inherits="EditPublicInfoUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Firstname" runat="server" Text="Meno"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Firstname" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Firstname" runat="server" ErrorMessage="Nesprvny formt mena" ControlToValidate="TB_Firstname" 
                Display="Dynamic" ValidationExpression="[a-zA-Z\u00C0-\u01FF]{1,20}" ToolTip="Nesprvny formt mena"><asp:Image ID="REV_Firstname_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Firstname" runat="server"
                ControlToValidate="TB_Firstname" ErrorMessage="Nie je zadan meno" Display="Dynamic" ToolTip="Nie je zadan meno"><asp:Image ID="RFV_Firstname_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Surename" runat="server" Text="Priezvisko"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Surename" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Surename" runat="server" ErrorMessage="Nesprvny formt priezviska" ControlToValidate="TB_Surename" 
                Display="Dynamic" ValidationExpression="[a-zA-Z\u00C0-\u01FF]{1,20}" ToolTip="Nesprvny formt priezviska"><asp:Image ID="REV_Surename_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Surename" runat="server" ControlToValidate="TB_Surename"
                ErrorMessage="Nie je zadan priezvisko" Display="Dynamic" ToolTip="Nie je zadan priezvisko"><asp:Image ID="RFV_Surename_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Titles" runat="server" Text="Tituly"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Titles" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Titles" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Titles" 
                Display="Dynamic" ValidationExpression="[a-zA-Z\u002E]{1,20}" 
                ToolTip="Nesprvny dtum alebo formt dtumu"><asp:Image ID="REV_Birthday_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>&nbsp;
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Sex" runat="server" Text="Pohlavie"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Center">
            <asp:RadioButtonList ID="RBL_Sex" runat="server" RepeatDirection="Horizontal" CssClass="Form_RadioButtonList_Horizontal">
                <asp:ListItem>Mu</asp:ListItem>
                <asp:ListItem>ena</asp:ListItem>
            </asp:RadioButtonList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Label ID="LA_Success" runat="server" Visible="False" ForeColor="Green">daje uloen</asp:Label>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Button ID="BN_Save" runat="server" CssClass="Button_WhiteBlue_Short" Text="Uloi" OnClick="BN_Save_Click" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>