<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditQuestionUC.ascx.cs" Inherits="EditQuestionUC" %>
<%@ Register Src="~/Controls/QuestionChoicesUC.ascx" TagName="QuestionChoicesControl" TagPrefix="uc" %>

<table id="TBL_Form" class="Form_Table">
    <tr class="Form_Header">
        <td colspan="4">
            Otzka
         </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Question" runat="server" Text="Otzka"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Question" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Question"
                runat="server" ControlToValidate="TB_Question" Display="Dynamic" ErrorMessage="Nesprvny formt otzky" ToolTip="Nesprvny formt otzky"
                ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,8000}">
                <asp:Image ID="REV_Question_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Question" runat="server"
                ControlToValidate="TB_Question" Display="Dynamic"
                ErrorMessage="Nie je zadan text otzky" ToolTip="Nie je zadan text otzky">
                <asp:Image ID="RFV_Email_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Type" runat="server" Text="Typ otzky"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Type" runat="server" CssClass="Form_DropDownList_Long">
                <asp:ListItem Value="0">Checkboxy</asp:ListItem>
                <asp:ListItem Value="1">Radiobuttony</asp:ListItem>
                <asp:ListItem Value="2">Textboxy</asp:ListItem>
            </asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Other" runat="server" Text="In"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Other" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox></td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Other"
                runat="server" ControlToValidate="TB_Other" Display="Dynamic" ErrorMessage="Nesprvny formt pola in" ToolTip="Nesprvny formt pola in"
                ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,50}">
                <asp:Image ID="REV_Other_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator></td>
    </tr>
        <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Choices" runat="server" Text="Monosti"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Center">
            <uc:QuestionChoicesControl ID="UC_QC_Choices" runat="server"/>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Edit" runat="server" CssClass="Button_WhiteBlue_Medium"
                Text="Upravi otzku" OnClick="BN_Edit_Click" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Back" runat="server" CssClass="Button_WhiteBlue_Medium" OnClick="BN_Back_Click"
                Text="Naspa na zoznam otzok" /></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>