<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SendedMessageUC.ascx.cs" Inherits="SendedMessageUC" %>
<%@ Register Src="~/Controls/ShowEmptyUC.ascx" TagName="ShowEmptyControl" TagPrefix="uc" %>

<asp:GridView ID="grdSendedMessages" runat="server" AllowPaging="True" AllowSorting="True" PageSize="15" OnRowDataBound="grdSendedMessages_RowDataBound" AutoGenerateColumns="False" EnableViewState="False" EnableSortingAndPagingCallbacks="True" PagerSettings-Position="TopAndBottom" PagerSettings-Mode="NextPreviousFirstLast" CssClass="Message_Table">
        <Columns>
            <asp:BoundField DataField="PrijemcaKonto" HeaderText="Pr&#237;jemca" SortExpression="konto" >
                <ItemStyle CssClass="tabRowOsoba" />
            </asp:BoundField>
            <asp:BoundField DataField="Predmet" HeaderText="Predmet" SortExpression="Predmet" />
            <asp:BoundField DataField="Cas" HeaderText="as" SortExpression="Cas" >
                <ItemStyle CssClass="tabRowCas" />
            </asp:BoundField>
            <asp:HyperLinkField Text="Vyber" NavigateUrl="~/DetailSendedMessage.aspx">
                <ItemStyle CssClass="List_GridView_Command" />
            </asp:HyperLinkField>
            <asp:BoundField >
                <ItemStyle CssClass="tabRowCheckBox" />
            </asp:BoundField>
        </Columns>
            <EmptyDataTemplate>
                <uc:ShowEmptyControl ID="UC_EC_NoData" Message="Pre dan poiadavku sa v databze nenachdzaj iadne poloky." runat="server" />
            </EmptyDataTemplate>
                <PagerSettings Mode="NumericFirstLast" Position="TopAndBottom" />
    <PagerStyle CssClass="List_GridView_Pager" />
    <HeaderStyle CssClass="List_GridView_Header" />
    <RowStyle CssClass="tabRow_Neparne" />
    <AlternatingRowStyle CssClass="tabRow_Parne" />
    </asp:GridView>