using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class SurveyDescriptionUC : System.Web.UI.UserControl
{
    private InstanciaAnkety instanciaAnkety;

    public InstanciaAnkety Data 
    {
        get { return instanciaAnkety; }
        set { instanciaAnkety = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if( instanciaAnkety != null )
        {
            LA_NameText.Text = instanciaAnkety.AnketaFK.Nazov;
            LA_StartText.Text = instanciaAnkety.DatumOd.ToShortDateString();
            LA_EndText.Text = instanciaAnkety.DatumDo.ToShortDateString();
            LA_QuestionsText.Text = OtazkaDAL.SelectCountByAnketaId( instanciaAnkety.AnketaId ).ToString();
        }
    }
    protected void BN_Take_Click(object sender, EventArgs e)
    {
        Response.Redirect("TakeSurvey.aspx?Id=" + instanciaAnkety.Id);
    }
}
