﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ViewCoursesUC.ascx.cs" Inherits="ViewCoursesUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Name" runat="server" Text="Meno"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Name" runat="server" CssClass="Form_TextBox_Long" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Started" runat="server" Text="Dátum začiatku"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Started" runat="server" CssClass="Form_TextBox_Long" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Finished" runat="server" Text="Dátum ukončenia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Finished" runat="server" CssClass="Form_TextBox_Long" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>  
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Note" runat="server" Text="Poznámka"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Note" runat="server" CssClass="Form_TextArea_Long" TextMode="MultiLine" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:GridView ID="GV_Courses" runat="server" AllowPaging="True" AllowSorting="True"
                AutoGenerateColumns="False" CssClass="List_GridView" DataKeyNames="Id" DataSourceID="ODS_Courses"
                EnableViewState="False" OnSelectedIndexChanging="GV_Courses_RowSelecting"
                SkinID="Skin_GridView">
                <Columns>
                    <asp:BoundField DataField="Nazov" HeaderText="Nazov" SortExpression="Nazov">
                        <ItemStyle Width="250px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="DatumOd" DataFormatString="{0:dd.MM.yyyy}" HeaderText="DatumOd"
                        HtmlEncode="False" SortExpression="DatumOd">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="DatumDo" DataFormatString="{0:dd.MM.yyyy}" HeaderText="DatumDo"
                        HtmlEncode="False" SortExpression="DatumDo">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:CommandField DeleteText="Zmaž" SelectText="Vyber" ShowSelectButton="True">
                        <ItemStyle CssClass="List_GridView_Command" />
                    </asp:CommandField>
                </Columns>
            </asp:GridView>
            <asp:ObjectDataSource ID="ODS_Courses" runat="server" DataObjectTypeName="Kurz" DeleteMethod="Delete"
                EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
                SelectCountMethod="SelectCountByOsobaId" SelectMethod="SelectByOsobaIdPagedSorted" SortParameterName="sortExpression"
                TypeName="KurzBLL" UpdateMethod="Update">
                <SelectParameters>
                    <asp:Parameter Name="osobaId" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>