using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ViewCoursesUC : System.Web.UI.UserControl
{
    private Osoba osoba = null;
    private Kurz kurz = null;

    public Osoba Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        ODS_Courses.SelectParameters["osobaId"].DefaultValue = osoba.Id.ToString();
    }

    private void SetFields( Kurz kurz )
    {
        TB_Finished.Text = kurz.DatumDo.HasValue ? kurz.DatumDo.Value.ToShortDateString().Replace(" ","") : null;
        TB_Name.Text = kurz.Nazov;
        TB_Note.Text = kurz.Poznamka;
        TB_Started.Text = kurz.DatumOd.HasValue ? kurz.DatumDo.Value.ToShortDateString().Replace(" ", "") : null;
    }

    protected void GV_Courses_RowSelecting(object sender, GridViewSelectEventArgs e)
    {
        int id = Convert.ToInt32( GV_Courses.DataKeys[e.NewSelectedIndex].Value );

        kurz = KurzDAL.SelectById( id );
        
        SetFields( kurz );
    }
}
