using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ViewNoticeUC : System.Web.UI.UserControl
{
    private Oznam oznam = null;

    public Oznam Data
    {
        get { return oznam; }
        set { oznam = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if( oznam != null )
        {
            TB_Relevance.Text = oznam.DatumPlatnosti.ToShortDateString().Replace(" ","");
            TB_Name.Text = oznam.Nazov;
            TB_Notice.Text = oznam.Popis;
            TB_Cathegory.Text = TypOznamuDAL.SelectById( oznam.TypOznamuId ).Typ;
            TB_AddedBy.Text = oznam.OsobaFK.Meno + " " + oznam.OsobaFK.Priezvisko;
        }
    }
    protected void BN_Back_Click(object sender, EventArgs e)
    {
        Response.Redirect("Board.aspx");
    }
}
