using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ViewProjectUC : System.Web.UI.UserControl
{
    private Projekt projekt = null;

    public Projekt Data
    {
        get { return projekt; }
        set { projekt = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if( ViewState["backUrlWasSet"] == null )
        {
            ViewState["backUrl"] = Request.UrlReferrer == null ? null : Request.UrlReferrer.PathAndQuery;
            ViewState["backUrlWasSet"] = true;
        }

        if( ViewState["backUrl"] == null ) BN_Back.Visible = false;
        else BN_Back.Visible = true;

        if ( projekt != null )
        {
            this.Visible = true;

            TB_Name.Text = projekt.Nazov;
            TB_Abstract.Text = projekt.Abstrakt;
            TB_Leader.Text = projekt.Veduci;
            TB_Keywords.Text = projekt.KlucoveSlova;
            TB_Date.Text = projekt.DatumVypracovania.ToShortDateString();
            TB_Note.Text = projekt.Poznamka;
        }
        else
        {
            // TODO Skor hodit error null by tu nemalo byt nikdy
            this.Visible = false;
        }
    }

    protected void BN_Back_Click(object sender, EventArgs e)
    {
        Response.Redirect( (string)ViewState["backUrl"]  );
    }
}
