using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EditQuestion : System.Web.UI.Page
{
    private int id;
    private Otazka otazka;

    protected void Page_Load(object sender, EventArgs e)
    {
        if ( ( id = Helper.QStringToInt32( Request["Id"] ) ) != 0 )
        {
            otazka = OtazkaDAL.SelectById( id );

            if ( otazka != null )
            {
                    InsertQuestion();
            }
            else
            {
                InsertError();
            }
        }
        else
        {
            InsertError();
        }
    }

    private void InsertError()
    {
        ShowErrorUC showError = (ShowErrorUC)LoadControl("~/Controls/ShowErrorUC.ascx");
        showError.ID = "UC_EC_NoData";
        showError.ErrorText = "Otzka neexistuje";
        PH_Control.Controls.Add( showError );
    }

    private void InsertQuestion()
    {
        EditQuestionUC editQuestion = (EditQuestionUC)LoadControl("~/Controls/EditQuestionUC.ascx");
        editQuestion.ID = "UC_EQ_Question";
        editQuestion.Data = otazka;
        PH_Control.Controls.Add( editQuestion );
    }
}
