<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Login.aspx.cs" Inherits="Login" Title="Alumni" %>

<asp:Content id="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <table id="TBL_Form" class="Form_Table">
        <tr class="Form_Header">
            <td colspan="4">Prihlsenie</td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:Label ID="LA_Username" runat="server" Text="Meno"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Username" runat="server" TabIndex = "1" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Username" runat="server"
                    ControlToValidate="TB_Username" Display="Dynamic" ValidationExpression="[a-zA-Z0-9.-]{2,20}" ToolTip="Nesprvny formt prihlasovacieho mena"><asp:Image ID="REV_Username_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator
                    ID="RFV_Username" runat="server" ControlToValidate="TB_Username"
                    Display="Dynamic" ToolTip="Nie je zadan prihlasovacie meno"><asp:Image ID="RFV_Username_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
             </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:Label ID="LA_Password" runat="server" Text="Heslo"></asp:Label></td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Password" runat="server" TextMode="Password" TabIndex = "2" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Password" runat="server"
                    ControlToValidate="TB_Password" Display="Dynamic" ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{5,32}" ToolTip="Nesprvny formt hesla" ><asp:Image ID="REV_Password_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator
                    ID="RFV_Password" runat="server" ControlToValidate="TB_Password"
                    Display="Dynamic" ToolTip="Nie je zadan heslo"><asp:Image ID="RFV_Password_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td colspan="1" class="Form_TableCollumn_Margin">
            </td>
            <td colspan="2" class="Form_TableCollumn_Center">
                <asp:Label ID="LA_Error" runat="server" ForeColor="Red" Visible="False">Nesprvne meno alebo heslo!</asp:Label>
            </td>
            <td style="width: 20px" class="Form_TableCollumn_Margin">
            </td>
        </tr>
        <tr>
            <td colspan="1" class="Form_TableCollumn_Margin">
            </td>
            <td colspan="2" class="Form_TableCollumn_Center">
                <asp:Button ID="BN_Login" runat="server" Text="Prihlsi" CssClass="Button_WhiteBlue_Short" OnClick="BN_Login_Click" TabIndex = "3" />
            </td>
            <td class="Form_TableCollumn_Margin">
            </td>
        </tr>
    </table>
</asp:Content>

