<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="PrivateMessageBlackList.aspx.cs" Inherits="PrivateMessageBlackList" Title="Untitled Page" %>
<%@ Register Src="~/Controls/PrivateMessageBlackListUC.ascx" TagName="PrivateMessageBlackListControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/AddBlackListItemUC.ascx" TagName="AddBlackListItemControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ShowEmptyUC.ascx" TagName="ShowEmptyControl" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <table class="Profile_Table">
        <tr>
            <td class="Profile_Header">
               <asp:Menu ID="MN_Tabs_Top" runat="server" OnMenuItemClick="MN_Tabs_MenuItemClick" Target="ProfessionProfile.aspx" ItemWrap="True" Orientation="Horizontal" CssClass="Menu_Table">
                    <StaticMenuItemStyle CssClass="Button_BlueWhite_Tab" />
                    <StaticSelectedStyle CssClass="Button_WhiteBlue_Tab" />
                    <Items>
                        <asp:MenuItem Text="Nov&#225; spr&#225;va" Value="0" NavigateUrl="~/NewPrivateMessage.aspx" Target="_self"></asp:MenuItem>
                        <asp:MenuItem Text="Prijat&#233; spr&#225;vy" Value="1" NavigateUrl="~/ReceivedPrivateMessage.aspx" Target="_self"></asp:MenuItem>
                        <asp:MenuItem Text="Odoslan&#233; spr&#225;vy" Value="2" NavigateUrl="~/SendedPrivateMessage.aspx" Target="_self"></asp:MenuItem>
                        <asp:MenuItem Text="ierna listina" Selected="True" Value="5" NavigateUrl="~/PrivateMessageBlackList.aspx" Target="_self"></asp:MenuItem>
                    </Items>
                </asp:Menu>
                <asp:Menu ID="MN_Tabs_Bottom" runat="server" OnMenuItemClick="MN_Tabs_MenuItemClick" Target="ProfessionProfile.aspx" ItemWrap="True" Orientation="Horizontal" CssClass="Menu_Table">
                    <StaticMenuItemStyle CssClass="Button_BlueWhite_Tab" />
                    <StaticSelectedStyle CssClass="Button_WhiteBlue_Tab" />
                    <Items>
                        <asp:MenuItem Text="K prijat" Value="3" NavigateUrl="~/ReceivedPrivateMessageBin.aspx" Target="_self"></asp:MenuItem>
                        <asp:MenuItem Text="K odoslan" Value="4" NavigateUrl="~/SendedPrivateMessageBin.aspx" Target="_self"></asp:MenuItem>
                    </Items>
                </asp:Menu>
            </td>  
        </tr>
        <tr>
            <td id="Td1">
                <asp:PlaceHolder ID="PH_AddBlackListItem" runat="server"></asp:PlaceHolder>
            </td>
        </tr>
        <tr>
            <td id="Profile_Bottom_Left">
                <asp:PlaceHolder ID="PH_PrivateMessageBlackList" runat="server"></asp:PlaceHolder>
            </td>
        </tr>
    </table>
</asp:Content>
