<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="ProfessionProfile.aspx.cs" Inherits="ProfessionProfile" Title="Alumni" %>
<%@ Register Src="~/Controls/EditJobsUC.ascx" TagName="EditJobsControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewJobsUC.ascx" TagName="ViewJobsControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/EditCoursesUC.ascx" TagName="EditCoursesControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewCoursesUC.ascx" TagName="ViewCoursesControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/EditLanguagesUC.ascx" TagName="EditLanguagesControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewLanguagesUC.ascx" TagName="ViewLanguagesControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/EditStudiesUC.ascx" TagName="EditStudiesControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewStudiesUC.ascx" TagName="ViewStudiesControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <table class="Profile_Table">
        <tr>
            <td class="Profile_Header">
               <asp:Menu ID="MN_Tabs" runat="server" OnMenuItemClick="MN_Tabs_MenuItemClick" Target="ProfessionProfile.aspx" ItemWrap="True" Orientation="Horizontal" CssClass="Menu_Table">
                    <StaticMenuItemStyle CssClass="Button_BlueWhite_Tab" />
                    <StaticSelectedStyle CssClass="Button_WhiteBlue_Tab" />
                    <Items>
                        <asp:MenuItem Selected="True" Text="Zamestnania" Value="0"></asp:MenuItem>
                        <asp:MenuItem Text="Kurzy" Value="1"></asp:MenuItem>
                        <asp:MenuItem Text="Jazyky" Value="2"></asp:MenuItem>
                        <asp:MenuItem Text="tdium" Value="3"></asp:MenuItem>
                    </Items>
                </asp:Menu>
            </td>  
        </tr>
        <tr>
            <td>
                <asp:MultiView ID="MV_Profile" runat="server" ActiveViewIndex="0" >
                    <asp:View ID="VW_Jobs" runat="server">
                        <asp:PlaceHolder ID="PH_Jobs" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Courses" runat="server">
                        <asp:PlaceHolder ID="PH_Courses" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Languages" runat="server">
                        <asp:PlaceHolder ID="PH_Languages" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Studies" runat="server">
                        <asp:PlaceHolder ID="PH_Studies" runat="server"></asp:PlaceHolder>
                    </asp:View>
                </asp:MultiView>
            </td>
        </tr>
    </table>
</asp:Content>

