﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Register.aspx.cs" Inherits="Register" Title="Alumni" %>
   
<asp:Content id="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <table id="TBL_Form" class="Form_Table">
        <tr class="Form_Header">
            <td colspan="4">Registrácia</td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Email" runat="server" Text="Email"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Email" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Email" runat="server" ErrorMessage="Nesprávny formát emailu" 
                    ControlToValidate="TB_Email" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" Display="Dynamic" 
                    ToolTip="Nesprávny formát emailu"><asp:Image ID="REV_Email_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="RFV_Email" runat="server" ControlToValidate="TB_Email"
                    ErrorMessage="Nie je zadaný email" Display="Dynamic" ToolTip="Nie je zadaný email"><asp:Image ID="RFV_Email_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>     
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Password" runat="server" Text="Heslo"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Password" runat="server" TextMode="Password" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Password" runat="server" ErrorMessage="Nesprávny formát hesla" ControlToValidate="TB_Password" 
                    Display="Dynamic" ValidationExpression="[a-zA-Z0-9]{5,32}" ValidationGroup="Nesprávny formát hesla"><asp:Image ID="REV_Password_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="RFV_Password" runat="server" ControlToValidate="TB_Password"
                    ErrorMessage="Nie je zadané heslo" Display="Dynamic" ToolTip="Nie je zadané heslo"><asp:Image ID="RFV_Password_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Retyped" runat="server" Text="Zopakovať heslo"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Retyped" runat="server" TextMode="Password" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:CompareValidator ID="CV_Retyped" runat="server" ControlToCompare="TB_Password" ControlToValidate="TB_Retyped" 
                    ErrorMessage="Heslo sa nezhoduje s pôvodným heslom" Display="Dynamic" ToolTip="Heslo sa nezhoduje s pôvodným heslom"><asp:Image ID="CompareValidator_Retyped_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:CompareValidator>
                <asp:RequiredFieldValidator ID="RFV_Retyped" runat="server" ControlToValidate="TB_Retyped"
                    ErrorMessage="Nie je zadané heslo pre overenie" ToolTip="Nie je zadané heslo pre overenie" Display="Dynamic"><asp:Image ID="RFV_Retyped_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Firstname" runat="server" Text="Meno"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Firstname" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Firstname" runat="server" ErrorMessage="Nesprávny formát mena" ControlToValidate="TB_Firstname" 
                    Display="Dynamic" ValidationExpression="[a-zA-Z\u0041-\u017F]{2,20}" ToolTip="Nesprávny formát mena"><asp:Image ID="REV_Firstname_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="RFV_Firstname" runat="server"
                    ControlToValidate="TB_Firstname" ErrorMessage="Nie je zadané meno" Display="Dynamic" ToolTip="Nie je zadané meno"><asp:Image ID="RFV_Firstname_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Surename" runat="server" Text="Priezvisko"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Surename" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Surename" runat="server" ErrorMessage="Nesprávny formát priezviska" ControlToValidate="TB_Surename" 
                    Display="Dynamic" ValidationExpression="[a-zA-Z\u0041-\u017F]{2,20}" ToolTip="Nesprávny formát priezviska"><asp:Image ID="REV_Surename_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="RFV_Surename" runat="server" ControlToValidate="TB_Surename"
                    ErrorMessage="Nie je zadané priezvisko" Display="Dynamic" ToolTip="Nie je zadané priezvisko"><asp:Image ID="RFV_Surename_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Birthday" runat="server" Text="Dátum narodenia"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Birthday" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Birthday" runat="server" ErrorMessage="Nesprávny dátum alebo formát dátumu" ControlToValidate="TB_Birthday" 
                    Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                    ToolTip="Nesprávny dátum alebo formát dátumu"><asp:Image ID="REV_Birthday_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="RFV_Birthday" runat="server" ControlToValidate="TB_Birthday"
                    ErrorMessage="Nie je zadaný dátum narodenia" Display="Dynamic" ToolTip="Nie je zadaný dátum narodenia"><asp:Image ID="RFV_Birthday_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Graduated" runat="server" Text="Rok absolvovania"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Graduated" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Graduated" runat="server" 
                    ErrorMessage="Nesprávny formát roku absolvovania" ControlToValidate="TB_Graduated" Display="Dynamic" ValidationExpression="[1-2]{1}\d{3}" 
                    ToolTip="Nesprávny formát roku absolvovania"><asp:Image ID="REV_Graduated_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Type" runat="server" Text="Typ registrácie"></asp:Label></td>
            <td class="Form_TableCollumn_Right">
                <asp:DropDownList ID="DDL_Type" runat="server" DataTextField="Typ" DataValueField="Id" CssClass="Form_DropDownList_Medium" DataSourceID="ODS_Type"></asp:DropDownList>
            </td>
            <td class="Form_TableCollumn_Margin">
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:CheckBox ID="ChB_IsStuba" runat="server" Text="Mám účet na is.stuba.sk" OnCheckedChanged="ChB_IsStuba_CheckedChanged" AutoPostBack="true"/>
            </td>
            <td>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Meno" runat="server" Text="Prihlasovacie meno"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Meno" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                    ErrorMessage="Nesprávne prihlasovacie meno" ControlToValidate="TB_Meno" Display="Dynamic" ValidationExpression="^.*$" 
                    ToolTip="Nesprávny formát roku absolvovania"><asp:Image ID="Image1" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Left">
                <asp:Label ID="LA_Heslo" runat="server" Text="Heslo"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Heslo" runat="server" TextMode="Password" CssClass="Form_TextBox_Medium"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" 
                    ErrorMessage="Nesprávne heslo" ControlToValidate="TB_Meno" Display="Dynamic" ValidationExpression="^.*$" 
                    ToolTip="Nesprávny formát roku absolvovania"><asp:Image ID="Image2" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td colspan="1" class="Form_TableCollumn_Margin">
            </td>
            <td colspan="2" class="Form_TableCollumn_Center">
                <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Margin">
            </td>
        </tr>
        <tr>
            <td colspan="1" class="Form_TableCollumn_Margin">
            </td>
            <td colspan="2" class="Form_TableCollumn_Center">
                <asp:Button ID="BN_Register" runat="server" CssClass="Button_WhiteBlue_Short" Text="Zaregistrovať" OnClick="BN_Register_Click" />
            </td>
            <td class="Form_TableCollumn_Margin">
            </td>
        </tr>
    </table>
    <asp:ObjectDataSource ID="ODS_Type" runat="server" DataObjectTypeName="TypRegistracie"
        DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
        SelectMethod="Select" TypeName="TypRegistracieBLL" UpdateMethod="Update"></asp:ObjectDataSource>
</asp:Content>

