using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Request : System.Web.UI.Page
{
    private int id;
    private Registracia registracia;

    protected void Page_Load(object sender, EventArgs e)
    {
        if ( ( id = Helper.QStringToInt32( Request["Id"] ) ) != 0 )
        {
            registracia = RegistraciaDAL.SelectById( id );

            if ( registracia != null ) 
            {
                InsertApproveRequest();
            }
            else 
            {
                InsertError();
            }
        }
        else
        {
            InsertError();
        }
    }

    private void InsertError()
    {
        UC_EC_NoData.Visible = true;
        UC_RC_Request.Visible = false;
        //ShowErrorUC showError = (ShowErrorUC)LoadControl("~/Controls/ShowErrorUC.ascx");
        //showError.ID = "UC_EC_NoData";
        //showError.ErrorText = "Poiadavka o registrciu neexistuje";
        //PH_Control.Controls.Add( showError );
    }

    private void InsertApproveRequest()
    {
        UC_EC_NoData.Visible = false;
        UC_RC_Request.Visible = true;
        UC_RC_Request.Data = registracia;
        //ApproveRequestUC approveRequest = (ApproveRequestUC)LoadControl("~/Controls/ApproveRequestUC.ascx");
        //approveRequest.ID = "UC_RC_Request";
        //approveRequest.Data = registracia;
        //PH_Control.Controls.Add( approveRequest );
    }
}
