<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="RequestList.aspx.cs" Inherits="Requests" Title="Alumni" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <asp:GridView ID="GV_Requests" runat="server" AllowPaging="True"
        AllowSorting="True" AutoGenerateColumns="False" CssClass="List_GridView"
        PageSize="20" SkinID="Skin_GridView" DataSourceID="ODS_Requests" EnableViewState="False">
        <Columns>
            <asp:BoundField DataField="Meno" HeaderText="Meno" SortExpression="Meno" >
                <ItemStyle Width="150px" />
            </asp:BoundField>
            <asp:BoundField DataField="Priezvisko" HeaderText="Priezvisko" SortExpression="Priezvisko" >
                <ItemStyle Width="150px" />
            </asp:BoundField>
            <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" >
                <ItemStyle Width="200px" />
            </asp:BoundField>
            <asp:HyperLinkField Text="Vyber" DataNavigateUrlFields="Id" DataNavigateUrlFormatString="Request.aspx?Id={0}">
                <ItemStyle CssClass="List_GridView_Command" />
            </asp:HyperLinkField>
        </Columns>
        <EmptyDataTemplate>
            <uc:ShowErrorControl ID="UC_EC_NoData" ErrorText="V databze nie s iadne registrcie na schvlenie" runat="server" />
        </EmptyDataTemplate>
    </asp:GridView>
    <asp:ObjectDataSource ID="ODS_Requests" runat="server" DataObjectTypeName="Registracia"
        DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
        SelectMethod="SelectPagedSorted" TypeName="RegistraciaBLL" UpdateMethod="Update" EnablePaging="True" SelectCountMethod="SelectCount" SortParameterName="sortExpression">
    </asp:ObjectDataSource>
</asp:Content>

