using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class SurveyAnswers : System.Web.UI.Page
{
    int id;

    protected void Page_Load(object sender, EventArgs e)
    {
        id = Helper.QStringToInt32( Request["Id"] );

        ODS_Answers.SelectParameters["instanciaId"].DefaultValue = id.ToString();
    }
    protected void GV_Answers_RowSelecting(object sender, GridViewSelectEventArgs e)
    {
        int instanciaAnketyId = Convert.ToInt32( GV_Answers.DataKeys[e.NewSelectedIndex].Values[0] );
        int osobaId = Convert.ToInt32( GV_Answers.DataKeys[e.NewSelectedIndex].Values[1] );

        Response.Redirect("ViewAnswers.aspx?Id=" + instanciaAnketyId.ToString() + "&User=" + osobaId.ToString());
    }
    protected void BN_Stop_Click(object sender, EventArgs e)
    {
        InstanciaAnkety instanciaAnkety = InstanciaAnketyDAL.SelectById( id );

        instanciaAnkety.DatumDo = DateTime.Now;

        InstanciaAnketyDAL.Update( instanciaAnkety );

        Response.Redirect("SurveyStatus.aspx");
    }
}
