<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="SurveyList.aspx.cs" Inherits="SurveyList" Title="Untitled Page" %>
<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <table id="TBL_Form" class="Form_Table">
        <tr class="Form_Header">
            <td colspan="4">
                Zoznam ankiet</td>
        </tr>
        <tr>
            <td class="Form_TableCollumn_Margin">
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:Label ID="LA_Name" runat="server" Text="Nzov"></asp:Label>
            </td>
            <td class="Form_TableCollumn_Right">
                <asp:TextBox ID="TB_Name" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
            </td>
            <td class="Form_TableCollumn_Margin">
                <asp:RegularExpressionValidator ID="REV_Name" runat="server"
                    ControlToValidate="TB_Name" Display="Dynamic" ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,100}" ToolTip="Nesprvny formt nzvu ankety" ErrorMessage="Nesprvny formt nzvu ankety"><asp:Image ID="REV_Name_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator
                    ID="RFV_Name" runat="server" ControlToValidate="TB_Name"
                    Display="Dynamic" ToolTip="Nie je zadan nzov ankety"><asp:Image ID="RFV_Name_Image" runat="server" SkinID="Skin_IMG_Validator" />
                </asp:RequiredFieldValidator>
             </td>
        </tr>
        <tr>
            <td colspan="1" class="Form_TableCollumn_Margin">
            </td>
            <td colspan="2" class="Form_TableCollumn_Center">
                <asp:Label ID="LA_Error" runat="server" ForeColor="Red" Visible="False">Anketa u existuje!</asp:Label>
            </td>
            <td style="width: 20px" class="Form_TableCollumn_Margin">
            </td>
        </tr>
        <tr>
            <td colspan="1" class="Form_TableCollumn_Margin">
            </td>
            <td colspan="2" class="Form_TableCollumn_Center">
                <asp:Button ID="BN_Add" runat="server" Text="Prida anketu" CssClass="Button_WhiteBlue_Medium" OnClick="BN_Add_Click" />
            </td>
            <td class="Form_TableCollumn_Margin">
            </td>
        </tr>
        <tr>
            <td colspan="1" class="Form_TableCollumn_Margin">
            </td>
            <td colspan="2" class="Form_TableCollumn_Center">
                <asp:GridView ID="GV_Surveys" runat="server" AllowPaging="True" AllowSorting="True"
                    CssClass="List_GridView" EnableViewState="False" PageSize="20" SkinID="Skin_GridView" AutoGenerateColumns="False" DataSourceID="ODS_Surveys" DataKeyNames="Id" OnRowEditing="GV_Surveys_RowEditing">
                    <Columns>
                        <asp:BoundField DataField="Nazov" HeaderText="Nazov" SortExpression="Nazov">
                            <ItemStyle Width="400px" />
                        </asp:BoundField>
                        <asp:CommandField SelectText="Vyber" EditText="Uprav" ShowEditButton="True">
                            <ItemStyle CssClass="List_GridView_Command" />
                        </asp:CommandField>
                    </Columns>
                </asp:GridView>
                <asp:ObjectDataSource ID="ODS_Surveys" runat="server" DataObjectTypeName="Anketa"
                    DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="SelectPagedSorted" TypeName="AnketaBLL" UpdateMethod="Update" EnablePaging="True" SelectCountMethod="SelectCount" SortParameterName="sortExpression">
                </asp:ObjectDataSource>
            </td>
            <td class="Form_TableCollumn_Margin">
            </td>
        </tr>
    </table>
</asp:Content>

