using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class InstanciaAnketyBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( InstanciaAnkety instanciaAnkety )
    {
        InstanciaAnketyDAL.Delete( instanciaAnkety );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( InstanciaAnkety instanciaAnkety )
    {
        InstanciaAnketyDAL.Insert( instanciaAnkety );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<InstanciaAnkety> Select()
    {
        return InstanciaAnketyDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static InstanciaAnkety SelectById( int id )
    {
        return InstanciaAnketyDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<InstanciaAnkety> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( InstanciaAnketyDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return InstanciaAnketyDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( InstanciaAnkety instanciaAnkety )
    {
        InstanciaAnketyDAL.Update( instanciaAnkety );
    }

    private static List<InstanciaAnkety> PagedAndSorted( List<InstanciaAnkety> instanciaAnketyList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<InstanciaAnkety> result = new List<InstanciaAnkety>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            instanciaAnketyList.Sort( new ObjectComparer<InstanciaAnkety>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = instanciaAnketyList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( instanciaAnketyList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
