using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class MozneOdpovedeBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( MozneOdpovede mozneOdpovede )
    {
        MozneOdpovedeDAL.Delete( mozneOdpovede );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( MozneOdpovede mozneOdpovede )
    {
        MozneOdpovedeDAL.Insert( mozneOdpovede );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<MozneOdpovede> Select()
    {
        return MozneOdpovedeDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static MozneOdpovede SelectById( int id )
    {
        return MozneOdpovedeDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<MozneOdpovede> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( MozneOdpovedeDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return MozneOdpovedeDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( MozneOdpovede mozneOdpovede )
    {
        MozneOdpovedeDAL.Update( mozneOdpovede );
    }

    private static List<MozneOdpovede> PagedAndSorted( List<MozneOdpovede> mozneOdpovedeList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<MozneOdpovede> result = new List<MozneOdpovede>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            mozneOdpovedeList.Sort( new ObjectComparer<MozneOdpovede>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = mozneOdpovedeList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( mozneOdpovedeList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
