using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class ObmedzenieBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( Obmedzenie obmedzenie )
    {
        ObmedzenieDAL.Delete( obmedzenie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( Obmedzenie obmedzenie )
    {
        ObmedzenieDAL.Insert( obmedzenie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<Obmedzenie> Select()
    {
        return ObmedzenieDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static Obmedzenie SelectById( int id )
    {
        return ObmedzenieDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Obmedzenie> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( ObmedzenieDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return ObmedzenieDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( Obmedzenie obmedzenie )
    {
        ObmedzenieDAL.Update( obmedzenie );
    }

    private static List<Obmedzenie> PagedAndSorted( List<Obmedzenie> obmedzenieList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<Obmedzenie> result = new List<Obmedzenie>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            obmedzenieList.Sort( new ObjectComparer<Obmedzenie>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = obmedzenieList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( obmedzenieList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
