using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class TypOsobyBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( TypOsoby typOsoby )
    {
        TypOsobyDAL.Delete( typOsoby );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( TypOsoby typOsoby )
    {
        TypOsobyDAL.Insert( typOsoby );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<TypOsoby> Select()
    {
        return TypOsobyDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static TypOsoby SelectById( int id )
    {
        return TypOsobyDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<TypOsoby> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( TypOsobyDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return TypOsobyDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( TypOsoby typOsoby )
    {
        TypOsobyDAL.Update( typOsoby );
    }

    private static List<TypOsoby> PagedAndSorted( List<TypOsoby> typOsobyList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<TypOsoby> result = new List<TypOsoby>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            typOsobyList.Sort( new ObjectComparer<TypOsoby>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = typOsobyList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( typOsobyList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
