using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class TypOznamuBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( TypOznamu typOznamu )
    {
        TypOznamuDAL.Delete( typOznamu );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( TypOznamu typOznamu )
    {
        TypOznamuDAL.Insert( typOznamu );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<TypOznamu> Select()
    {
        return TypOznamuDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static TypOznamu SelectById( int id )
    {
        return TypOznamuDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<TypOznamu> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( TypOznamuDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return TypOznamuDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( TypOznamu typOznamu )
    {
        TypOznamuDAL.Update( typOznamu );
    }

    private static List<TypOznamu> PagedAndSorted( List<TypOznamu> typOznamuList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<TypOznamu> result = new List<TypOznamu>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            typOznamuList.Sort( new ObjectComparer<TypOznamu>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = typOznamuList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( typOznamuList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
