using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

[System.ComponentModel.DataObject]
public partial class TypRegistracieBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void Delete( TypRegistracie typRegistracie )
    {
        TypRegistracieDAL.Delete( typRegistracie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static void Insert( TypRegistracie typRegistracie )
    {
        TypRegistracieDAL.Insert( typRegistracie );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static List<TypRegistracie> Select()
    {
        return TypRegistracieDAL.Select();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static TypRegistracie SelectById( int id )
    {
        return TypRegistracieDAL.SelectById( id );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<TypRegistracie> SelectPagedSorted( int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( TypRegistracieDAL.Select(), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCount()
    {
        return TypRegistracieDAL.SelectCount();
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void Update( TypRegistracie typRegistracie )
    {
        TypRegistracieDAL.Update( typRegistracie );
    }

    private static List<TypRegistracie> PagedAndSorted( List<TypRegistracie> typRegistracieList, int maximumRows, int startRowIndex, string sortExpression )
    {
        List<TypRegistracie> result = new List<TypRegistracie>();

        if ( sortExpression != String.Empty )
        {
            string[] sortOptions = sortExpression.Split( new char[] { ' ' } );
            typRegistracieList.Sort( new ObjectComparer<TypRegistracie>( sortOptions[0], ( sortOptions.GetLength(0) == 1 ? "ASC" : sortOptions[1] ) ) );
        }

        int currentIndex = startRowIndex;
        int pageIndex = 0;
        int totalRecords = typRegistracieList.Count;

        while ( pageIndex < maximumRows && currentIndex < totalRecords )
        {
            result.Add( typRegistracieList[currentIndex] );

            currentIndex++;
            pageIndex++;
        }

        return result;
    }
}
