using System;
using System.Data;
using System.Configuration;

public partial class InstanciaAnkety
{
    private int id;
    private int anketaId;
    private DateTime datumOd;
    private DateTime datumDo;

    public InstanciaAnkety() {}

    public InstanciaAnkety( int id, int anketaId, DateTime datumOd, DateTime datumDo )
    {
        this.id = id;
        this.anketaId = anketaId;
        this.datumOd = datumOd;
        this.datumDo = datumDo;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public int AnketaId
    {
        get { return anketaId; }
        set { anketaId = value; }
    }
    public DateTime DatumOd
    {
        get { return datumOd; }
        set { datumOd = value; }
    }
    public DateTime DatumDo
    {
        get { return datumDo; }
        set { datumDo = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        anketaId = reader.GetInt32(1);

        datumOd = reader.GetDateTime(2);

        datumDo = reader.GetDateTime(3);
    }
}
