using System;
using System.Data;
using System.Configuration;

public partial class Jazyk
{
    private int id;
    private int osobaId;
    private int porozumeniePocuvanie;
    private int porozumenieCitanie;
    private int hovorenieInterakcia;
    private int hovoreniePrejav;
    private int pisanie;
    private string nazov;

    public Jazyk() {}

    public Jazyk( int id, int osobaId, int porozumeniePocuvanie, int porozumenieCitanie, 
        int hovorenieInterakcia, int hovoreniePrejav, int pisanie, string nazov
    )
    {
        this.id = id;
        this.osobaId = osobaId;
        this.porozumeniePocuvanie = porozumeniePocuvanie;
        this.porozumenieCitanie = porozumenieCitanie;
        this.hovorenieInterakcia = hovorenieInterakcia;
        this.hovoreniePrejav = hovoreniePrejav;
        this.pisanie = pisanie;
        this.nazov = nazov;
    }

    #region Properties

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public int OsobaId
    {
        get { return osobaId; }
        set { osobaId = value; }
    }
    public int PorozumeniePocuvanie
    {
        get { return porozumeniePocuvanie; }
        set { porozumeniePocuvanie = value; }
    }
    public int PorozumenieCitanie
    {
        get { return porozumenieCitanie; }
        set { porozumenieCitanie = value; }
    }
    public int HovorenieInterakcia
    {
        get { return hovorenieInterakcia; }
        set { hovorenieInterakcia = value; }
    }
    public int HovoreniePrejav
    {
        get { return hovoreniePrejav; }
        set { hovoreniePrejav = value; }
    }
    public int Pisanie
    {
        get { return pisanie; }
        set { pisanie = value; }
    }
    public string Nazov
    {
        get { return nazov; }
        set { nazov = value; }
    }

    #endregion

    public void ValuesFromReader( int id, IDataReader reader )
    {
        this.id = id;

        osobaId = reader.GetInt32(1);

        porozumeniePocuvanie = reader.GetInt32(2);

        porozumenieCitanie = reader.GetInt32(3);

        hovorenieInterakcia = reader.GetInt32(4);

        hovoreniePrejav = reader.GetInt32(5);

        pisanie = reader.GetInt32(6);

        nazov = reader.GetString(7);
    }
}
