using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

public partial class OsobaBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Osoba> SelectByTypOsobyIdPagedSorted( int typOsobyId, int maximumRows, int startRowIndex, string sortExpression )
    {
        return PagedAndSorted( OsobaDAL.SelectByTypOsobyId( typOsobyId ), maximumRows, startRowIndex, sortExpression );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static int SelectCountByTypOsobyId( int typOsobyId )
    {
        return OsobaDAL.SelectCountByTypOsobyId( typOsobyId );
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, true)]
    public static Osoba SelectIdByKonto(string konto, bool aktivne)
    {
        return OsobaDAL.SelectIdByKonto(konto, aktivne);
    }
}
