using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

public partial class SpravaBLL
{
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectByPrijemca(int prijemca_id)
    {
        return SpravaDAL.SelectByPrijemca(prijemca_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectByPrijemca2(int prijemca_id)
    {
        return SpravaDAL.SelectByPrijemca2(prijemca_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)] //test
    public static List<Sprava> SelectByPrijemca3(int prijemca_id, int limit, int offset, string SortExpression, bool kos)
    {
        return SpravaDAL.SelectByPrijemca3(prijemca_id, limit, offset, SortExpression, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)] //test
    public static int CountSelectByPrijemca3(int prijemca_id, int limit, int offset, string SortExpression, bool kos)
    {
        return SpravaDAL.CountSelectByPrijemca3(prijemca_id, limit, offset, SortExpression, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)] //test
    public static int CountSelectByPrijemca3Precitana(int prijemca_id, bool kos, bool precitana) 
    {
        return SpravaDAL.CountSelectByPrijemca3Precitana(prijemca_id,kos,precitana);
    }
    
    //[System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)] //test
    //public static List<Sprava> SelectByKos(int vlastnik_id, int limit, int offset, string SortExpression)
    //{
    //    return SpravaDAL.SelectByKos(vlastnik_id, limit, offset, SortExpression);
    //}

    //[System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)] //test
    //public static int CountSelectByKos(int vlastnik_id, int limit, int offset, string SortExpression)
    //{
    //    return SpravaDAL.CountSelectByKos(vlastnik_id, limit, offset, SortExpression);
    //}

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)] //test
    public static List<Sprava> SelectByOdosielatel3(int odosielatel_id, int limit, int offset, string SortExpression, bool kos)
    {
        return SpravaDAL.SelectByOdosielatel3(odosielatel_id, limit, offset, SortExpression, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)] //test
    public static int CountSelectByOdosielatel3(int odosielatel_id, int limit, int offset, string SortExpression, bool kos)
    {
        return SpravaDAL.CountSelectByOdosielatel3(odosielatel_id, limit, offset, SortExpression, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectByOdosielatel(int odosielatel_id)
    {
        return SpravaDAL.SelectByOdosielatel(odosielatel_id);
    }
    
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectByOdosielatel2(int odosielatel_id)
    {
        return SpravaDAL.SelectByOdosielatel2(odosielatel_id);
    }
    
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static Sprava SelectById2(int id, int odsielatel_id)
    {
        return SpravaDAL.SelectById2(id, odsielatel_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectById3(int[] ids, int odosielatel_id, bool kos)
    {
        return SpravaDAL.SelectById3(ids, odosielatel_id, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectByIdVymazatOdoslane(int[] ids, int odosielatel_id, bool kos)
    {
        return SpravaDAL.SelectByIdVymazatOdoslane(ids, odosielatel_id, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectById4(int[] ids, int prijemca_id, bool kos)
    {
        return SpravaDAL.SelectById4(ids, prijemca_id, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectById4Vymazat(int[] ids, int prijemca_id, bool kos)
    {
        return SpravaDAL.SelectById4Vymazat(ids, prijemca_id, kos);
    }
    
    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectById4Precitana(int[] ids, int prijemca_id, bool kos)
    {
        return SpravaDAL.SelectById4Precitana(ids, prijemca_id, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectById4Notifikovat(int[] ids, int prijemca_id, bool kos)
    {
        return SpravaDAL.SelectById4Notifikovat(ids, prijemca_id, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectById4BlackList(int[] ids, int prijemca_id)
    {
        return SpravaDAL.SelectById4BlackList(ids, prijemca_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectByIdAndPrijemca(int id, int prijemca_id)
    {
        return SpravaDAL.SelectByIdAndPrijemca(id, prijemca_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Select, false)]
    public static List<Sprava> SelectByIdAndOdosielatel(int id, int odosielatel_id)
    {
        return SpravaDAL.SelectByIdAndOdosielatel(id, odosielatel_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void UpdatePrecitana(int[] ids,int prijemca_id, bool precitana)
    {
        SpravaDAL.UpdatePrecitana(ids, prijemca_id,precitana);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void UpdatePrecitanaNotifikovat(int[] ids, int prijemca_id, bool precitana, bool notifikovat)
    {
        SpravaDAL.UpdatePrecitanaNotifikovat(ids, prijemca_id, precitana, notifikovat);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void UpdateNotifikovat(int[] ids, int prijemca_id, bool notifikovat)
    {
        SpravaDAL.UpdateNotifikovat(ids, prijemca_id, notifikovat);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void UpdateKosOdosielatel(int[] ids, int odosielatel_id, bool kos)
    {
        SpravaDAL.UpdateKosOdosielatel(ids,odosielatel_id,kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void UpdateKosPrijemca(int[] ids, int prijemca_id, bool kos)
    {
        SpravaDAL.UpdateKosPrijemca(ids, prijemca_id, kos);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void UpdateZmazanaOdosielatel(int[] ids, int odosielatel_id, bool odosielatel_zmazana)
    {
        SpravaDAL.UpdateZmazanaOdosielatel(ids, odosielatel_id, odosielatel_zmazana);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Update, true)]
    public static void UpdateZmazanaPrijemca(int[] ids, int prijemca_id, bool prijemca_zmazana)
    {
        SpravaDAL.UpdateZmazanaPrijemca(ids, prijemca_id, prijemca_zmazana);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void DeletePrijemca(int[] ids, int prijemca_id)
    {
        SpravaDAL.DeletePrijemca(ids, prijemca_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void DeleteOdosielatel(int[] ids, int odosielatel_id)
    {
        SpravaDAL.DeleteOdosielatel(ids, odosielatel_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void VysypatKosOdosielatel(int odosielatel_id)
    {
        SpravaDAL.VysypatKosOdosielatel(odosielatel_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Delete, true)]
    public static void VysypatKosPrijemca(int prijemca_id)
    {
        SpravaDAL.VysypatKosPrijemca(prijemca_id);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static int Insert2(Sprava sprava)
    {
        return SpravaDAL.Insert2(sprava);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static int Insert2TypOsoby(Sprava sprava, string typOsoby)
    {
        return SpravaDAL.Insert2TypOsoby(sprava, typOsoby);
    }

    [System.ComponentModel.DataObjectMethodAttribute(System.ComponentModel.DataObjectMethodType.Insert, true)]
    public static int Insert2RokAbsolvovania(Sprava sprava, int rokAbsolvovania)
    {
        return SpravaDAL.Insert2RokAbsolvovania(sprava, rokAbsolvovania);
    }
}
