<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ApproveRequestUC.ascx.cs" Inherits="ApproveRequestUC" %>
<table id="TBL_Form" class="Form_Table">
    <tr class="Form_Header">
        <td colspan="4">
            Poiadavka o registrciu
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Username" runat="server" Text="Konto"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Username" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Username"
                runat="server" ControlToValidate="TB_Username" Display="Dynamic" ErrorMessage="Nesprvny formt konta" ToolTip="Nesprvny formt konta"
                ValidationExpression="[a-zA-Z0-9.-]{1,20}">
                <asp:Image ID="REV_Email_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Username" runat="server"
                ControlToValidate="TB_Username" Display="Dynamic"
                ErrorMessage="Nie je zadan konto" ToolTip="Nie je zadan konto">
                <asp:Image ID="RFV_Email_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Role" runat="server" Text="Priradi rolu"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Role" runat="server" CssClass="Form_DropDownList_Medium"
                DataSourceID="ODS_Role" DataTextField="Typ" DataValueField="Id">
            </asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Firstname" runat="server" Text="Meno"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Firstname" runat="server" CssClass="Form_TextBox_Medium" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Surename" runat="server" Text="Priezvisko"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Surename" runat="server" CssClass="Form_TextBox_Medium" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Email" runat="server" Text="Email"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Email" runat="server" CssClass="Form_TextBox_Medium" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Birthday" runat="server" Text="Dtum narodenia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Birthday" runat="server" CssClass="Form_TextBox_Medium"
                ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Graduated" runat="server" Text="Rok absolvovania"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Graduated" runat="server" CssClass="Form_TextBox_Medium" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Type" runat="server" Text="Typ registrcie"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Type" runat="server" CssClass="Form_TextBox_Medium" ReadOnly="True"></asp:TextBox></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Approve" runat="server" CssClass="Button_WhiteBlue_Short"
                Text="Schvli" OnClick="BN_Approve_Click" />
            <asp:Button ID="BN_Recover" runat="server" CssClass="Button_WhiteBlue_Short"
                OnClick="BN_Recover_Click" Text="Obnovi" />
            <asp:Button ID="BN_Delete" runat="server" CssClass="Button_WhiteBlue_Short"
                Text="Vymaza" CausesValidation="False" OnClick="BN_Delete_Click" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Back" runat="server" CssClass="Button_WhiteBlue_Medium"
                Text="Naspa na registrcie" OnClick="BN_Back_Click"/>
         </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>
<asp:ObjectDataSource ID="ODS_Role" runat="server" DataObjectTypeName="TypOsoby"
    DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
    SelectMethod="Select" TypeName="TypOsobyBLL" UpdateMethod="Update">
</asp:ObjectDataSource>