using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DetailReceivedMessageBinUC : System.Web.UI.UserControl
{
    CustomPrincipal osoba;
    int[] sprId;
    List<Sprava> Spravy = new List<Sprava>();
    int maxCharsMeno = 23;
    int maxCharsPredmet = 50;
    int maxCharsRiadokText = 55;
    String[] checks;

    public CustomPrincipal Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
       
        if (Request.QueryString["id"] != null)
        {
            loadPrijate(Request.QueryString["id"].ToString());
            /*   checks = (Request.QueryString["id"].ToString()).Split(',');
               sprId = new int[checks.Length];
               for (int i = 0; i < checks.Length; i++)
               {
                   sprId[i] = Convert.ToInt32(checks[i]);
               }
         //      Test2.Text += sprId.ToString();
         //      int[] ids ={14,12,13,12,10};
            
         /*      Spravy = SpravaBLL.SelectById3(sprId);
               Spravy = SpravyPatriaceOd(Spravy);
               SpravaPrecitana(Spravy, true);
               RP_spravy.DataSource = Spravy;
               RP_spravy.DataBind();*/
            //skontrolovat ci id patri userovi
            //        Sprava spr = SpravaBLL.SelectById2(sprId);
            /*   if (spr != null && spr.OdosielatelId == osoba.Id)
               {
                   PM_Meno.Text = spr.Prijemca;
                   PM_Cas.Text = spr.Cas.ToString();
                   PM_Predmet.Text = (spr.Predmet != null) ? spr.Predmet : "Sprva bez predmetu";
                   PM_Text.Text = (spr.Text != null) ? spr.Text : "Sprva bez textu";
               }*/

            //   grdSendedMessages.PageIndex = Convert.ToInt32(Request.QueryString["page"]);
            //      }
        }
        else
        {
            if (Request.Form["sprCheckbox"] != null)
            {
                loadPrijate(Request.Form["sprCheckbox"].ToString());

                //      Sprava spr = SpravaBLL.SelectById2(sprId);

            }
            //Test2.Text += "null";
        }

    }
    protected void Button_Odpovedat_Click(object sender, EventArgs e)
    {

    }
    protected void Button_Vymazat_Click(object sender, EventArgs e)
    {

    }
    protected void Button_Obnovit_Click(object sender, EventArgs e)
    {

    }
    protected void itemDataBound(object sender, RepeaterItemEventArgs e)
    {
        Sprava sp = (Sprava)e.Item.DataItem;
        Label lb = (Label)e.Item.FindControl("PM_Meno");
        lb.ToolTip = lb.Text + " (" + sp.OdosielatelKonto + ")";
        lb.Text = Helper.cutText(lb.Text, maxCharsMeno, "...");

        lb = (Label)e.Item.FindControl("PM_Predmet");
        lb.ToolTip = lb.Text;
        if (lb.Text.Equals(""))
        {
            lb.Text = "Bez predmetu";
        }
        else lb.Text = Helper.cutText(lb.Text, maxCharsPredmet, "...");
        lb.Text = Helper.enkodovatZobaciky(lb.Text);
        //else if (lb.Text.Length > 5)
        //{
        //    lb.ToolTip = lb.Text;
        //    lb.Text = lb.Text.Substring(0, 5-3) + "...";
        //}
        lb = (Label)e.Item.FindControl("PM_Text");
        if (lb.Text.Equals("")) lb.Text = "Bez textu";
        lb.Text = Helper.wrapText(lb.Text, maxCharsRiadokText);
        lb.Text = Helper.enkodovatZobaciky(lb.Text);
        lb.Text = lb.Text.Replace("\n", "\n<br>");


        if (checks != null)
        {
            Button bt = (Button)e.Item.FindControl("BN_Obnovit");
            bt.PostBackUrl += "?id=" + String.Join(",", checks);
            bt = (Button)e.Item.FindControl("BN_Vymazat");
            bt.PostBackUrl += "?id=" + String.Join(",", checks);
        }
        Button btn = (Button)e.Item.FindControl("BN_Odpovedat");
        btn.PostBackUrl += "?id=" + sp.Id;  //628

        /*    string[] sts = lb.Text.Split(new char[] {' '});
            for (int i = 0; i < sts.Length; i++)
            {
                if (sts[i].Length > 20) sts[i] = sts[i].Insert(sts[i].Length/2,"- ");
            }
            lb.Text = String.Join(" ",sts);*/
    }

    public void loadPrijate(String idstring)
    {
        checks = (idstring).Split(',');
        /*   sprId = new int[checks.Length];
           for (int i = 0; i < checks.Length; i++)
           {
               try
               {
                   sprId[i] = Convert.ToInt32(checks[i]);
               }
               catch (System.FormatException sf)
               {
                   sprId[i] = i;
               }
            
           }*/
        sprId = stringComaSepNumberToArray(idstring);
        checks = intArrayToComaSepString(sprId).Split(',');                 //opravit
        //     Test8.Text += Request.Form["sprCheckbox"].ToString();
        Spravy = SpravaBLL.SelectById4(sprId, osoba.Id, true);
        //     Spravy = SpravyPatriaceOd(Spravy);                            //uz netreba
        if (!IsPostBack) SpravaPrecitana(Spravy, true);                                //pri odoslanych nie, pri prijatych ano
        RP_spravy.DataSource = Spravy;
        RP_spravy.DataBind();
    }

    /*   public List<Sprava> SpravyPatriaceOd(List<Sprava> spravy)         //uz netreba
       {
           List<Sprava> sprtmp = new List<Sprava>();
           for (int i = 0; i < spravy.Count; i++)
           {
               if (spravy[i].OdosielatelId == osoba.Id) sprtmp.Add(spravy[i]);
           }
           return sprtmp;
       }*/

    public void SpravaPrecitana(List<Sprava> spravy, bool precitana)          //pri odoslanych netreba ale pri prijatych
    {
        if (spravy != null)
        {
            bool notif = false;
            List<int> precitana_notifikovat = new List<int>();
            List<int> precitana_nenotifikovat = new List<int>();
            List<Sprava>.Enumerator en = spravy.GetEnumerator();
            while (en.MoveNext())
            {
                if (en.Current.Precitana && en.Current.Notifikovat) continue;   //ak uz bola precitana a bola povolena notifikacia, tak uz s tym niec nerobime, lebo odosielatel uz vie, ze bola precitana
                notif = (Request.Form["notifCheckbox" + en.Current.Id] != null) ? true : false;
                if (en.Current.Precitana != precitana || en.Current.Notifikovat != notif)
                {
                    if (notif) precitana_notifikovat.Add(en.Current.Id); //neprecitana -> precitana a notifikovat
                    else precitana_nenotifikovat.Add(en.Current.Id);    //neprecitana -> precitana nenotifikovat 
                }
            }
            int[] prec_notif = new int[precitana_notifikovat.Count];
            int[] prec_nenotif = new int[precitana_nenotifikovat.Count];
            precitana_notifikovat.CopyTo(prec_notif);
            precitana_nenotifikovat.CopyTo(prec_nenotif);
            if (prec_notif.Length > 0) SpravaBLL.UpdatePrecitanaNotifikovat(prec_notif, osoba.Id, precitana, true);
            if (prec_nenotif.Length > 0) SpravaBLL.UpdatePrecitanaNotifikovat(prec_nenotif, osoba.Id, precitana, false);
        }
    }

    protected void onItemCommand(object source, RepeaterCommandEventArgs e)
    {
       
        try
        {
            int arg;
            switch (e.CommandName)
            {
                case "obnovit":
                    arg = Convert.ToInt32(e.CommandArgument.ToString());
                    //        Sprava spr = findSprava(Spravy, arg);
                    //          if (spr.OdosielatelId != osoba.Id) Error.Text += "Zakazana operacia";     //uz netreba

                    SpravaBLL.UpdateKosPrijemca(new int[] { arg }, osoba.Id, false);
                    loadPrijate(String.Join(",", checks));
                    break;

                case "vymazat":
                    arg = Convert.ToInt32(e.CommandArgument.ToString());
                    Sprava spr = findSprava(Spravy, arg);
                    if (spr != null)
                    {
                        if (spr.OdosielatelZmazana || spr.TypSpravyId == 2)
                        {
                            //   SpravaBLL.Delete(spr);
                            SpravaBLL.DeletePrijemca(new int[] { arg }, osoba.Id);
                        }
                        else
                        {
                            SpravaBLL.UpdateZmazanaPrijemca(new int[] { arg }, osoba.Id, true);
                        }
                        loadPrijate(String.Join(",", checks));
                    }
                    break;

                case "odpovedat":

                    break;

            }

        }
        catch (System.FormatException sfe)
        {
        }

    }

    /*
     * Dat do Helper
     * 
     */

    public Sprava findSprava(List<Sprava> spravy, int id)         //toto potom do help
    {
        List<Sprava>.Enumerator en = spravy.GetEnumerator();
        while (en.MoveNext())
        {
            if (en.Current.Id == id) return en.Current;
        }
        return null;
    }

    public int[] stringComaSepNumberToArray(string str)
    {
        List<int> ls = new List<int>();
        String[] strs = str.Split(',');

        for (int i = 0; i < strs.Length; i++)
        {
            try
            {
                int n = Convert.ToInt32(strs[i]);
                ls.Add(n);
            }
            catch (System.FormatException sf)
            {

            }

        }
        return ls.ToArray();
    }

    public String intArrayToComaSepString(int[] ar)
    {
        System.Text.StringBuilder str = new System.Text.StringBuilder();
        for (int i = 0; i < ar.Length; i++)
        {
            if (i == 0) str.Append(ar[i].ToString());
            else str.Append("," + ar[i].ToString());

        }
        return str.ToString();
    }
}
