using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EditAddressUC : System.Web.UI.UserControl
{
    private Adresa adresa = null;
    private Osoba osoba = null;

    public Adresa AdresaData
    {
        get { return adresa; }
        set { adresa = value; }
    }
    public Osoba OsobaData
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        LA_Success.Visible = false;

        if ( adresa != null )
        {
            TB_Street.Text = adresa.Ulica;
            TB_Zip.Text = adresa.Psc;
            TB_City.Text = adresa.Mesto;        
        }
    }

    protected void BN_Save_Click(object sender, EventArgs e)
    {
        if( adresa == null ) AdresaDAL.Insert( new Adresa( 0, osoba.Id, null, TB_Street.Text, TB_Zip.Text , TB_City.Text, Convert.ToInt32( DDL_State.SelectedValue ) ) );
        else AdresaDAL.Update( new Adresa( adresa.Id, osoba.Id, null, TB_Street.Text, TB_Zip.Text , TB_City.Text, Convert.ToInt32( DDL_State.SelectedValue ) ) );

        LA_Success.Visible = true;
    }
    protected void DDL_State_DataBound(object sender, EventArgs e)
    {   
        if ( adresa != null )
        {
            string stat = StatDAL.SelectById( adresa.StatId ).Nazov;
            ListItem listItem;

            if ( ( listItem = DDL_State.Items.FindByText( stat ) ) != null ) listItem.Selected = true;
            // TODO co ak neni? asi error a lebo sa dakto hral s DB
        }
    }
}
