<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditContactUC.ascx.cs" Inherits="EditContactUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Email" runat="server" Text="Email"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Email" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Email" runat="server" ControlToValidate="TB_Email"
                Display="Dynamic" ErrorMessage="Nesprvny formt emailu" ToolTip="Nesprvny formt emailu"
                ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">
                <asp:Image ID="REV_Email_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Email" runat="server" ControlToValidate="TB_Email"
                Display="Dynamic" ErrorMessage="Nie je zadan email" ToolTip="Nie je zadan email">
                <asp:Image ID="RFV_Email_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Telephone" runat="server" Text="Telefn"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Telephone" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Telephone" runat="server" ControlToValidate="TB_Telephone"
                Display="Dynamic" ErrorMessage="Nesprvny formt telefnneho sla" ValidationExpression="[\d\040]{1,20}" ToolTip="Nesprvny formt telefnneho sla">
                <asp:Image ID="REV_Telephone_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>&nbsp;
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Mobil" runat="server" Text="Mobil"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Mobil" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Mobil" runat="server" ControlToValidate="TB_Mobil"
                Display="Dynamic" ErrorMessage="Nesprvny formt mobilnho sla" ToolTip="Nesprvny formt mobilnho sla"
                ValidationExpression="[\d\040]{1,20}">
                <asp:Image ID="REV_Mobil_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>&nbsp;
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Fax" runat="server" Text="Fax"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Fax" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Fax" runat="server" ControlToValidate="TB_Fax"
                Display="Dynamic" ErrorMessage="Nesprvny formt sla faxu" ValidationExpression="[\d\040]{1,20}" ToolTip="Nesprvny formt sla faxu">
                <asp:Image ID="REV_Fax_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Icq" runat="server" Text="Icq"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Icq" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Icq" runat="server" ControlToValidate="TB_Icq"
                Display="Dynamic" ErrorMessage="Nesprvny formt ICQ" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ToolTip="Nesprvny formt ICQ sla">
                <asp:Image ID="REV_Icq_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Msn" runat="server" Text="Msn"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Msn" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Msn" runat="server" ControlToValidate="TB_Msn"
                Display="Dynamic" ErrorMessage="Nesprvny formt MSN adresy" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ToolTip="Nesprvny formt MSN adresy ">
                <asp:Image ID="REV_Msn_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Skype" runat="server" Text="Skype"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Skype" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Skype" runat="server" ControlToValidate="TB_Skype"
                Display="Dynamic" ErrorMessage="Nesprvny formt skype" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ToolTip="Nesprvny formt skype">
                <asp:Image ID="REV_Skype_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Save" runat="server" CssClass="Button_WhiteBlue_Short" Text="Uloi" OnClick="BN_Save_Click" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>