<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditLanguagesUC.ascx.cs" Inherits="EditLanguagesUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Language" runat="server" Text="Jazyk"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Language" runat="server" CssClass="Form_TextBox_Longer"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Language" runat="server" ControlToValidate="TB_Language"
                Display="Dynamic" ErrorMessage="Nesprvny formt jazyka" ToolTip="Nesprvny formt jazyka"
                ValidationExpression="[a-zA-Z\u00C0-\u01FF]{1,30}">
                <asp:Image ID="REV_Language_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Language" runat="server" ControlToValidate="TB_Language"
                Display="Dynamic" ErrorMessage="Nie je zadan jazyk" ToolTip="Nie je zadan jazyk">
                <asp:Image ID="RFV_Language_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>   
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Listening" runat="server" Text="Povanie"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Listening" runat="server" CssClass="Form_DropDownList_Longer"></asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Reading" runat="server" Text="tanie"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Reading" runat="server" CssClass="Form_DropDownList_Longer"></asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Interaction" runat="server" Text="stna interakcia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Interaction" runat="server" CssClass="Form_DropDownList_Longer"></asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Speach" runat="server" Text="Samostatn prejav"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Speach" runat="server" CssClass="Form_DropDownList_Longer"></asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Writing" runat="server" Text="Psanie"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Writing" runat="server" CssClass="Form_DropDownList_Longer"></asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Insert" runat="server" CssClass="Button_WhiteBlue_Short"
                OnClick="BN_Insert_Click" Text="Prida" />
            <asp:Button ID="BN_Edit" runat="server" CssClass="Button_WhiteBlue_Short" 
                OnClick="BN_Edit_Click" Text="Zmeni" />
            <asp:Button ID="BN_New" runat="server" CausesValidation="False" CssClass="Button_WhiteBlue_Short"
                OnClick="BN_New_Click" Text="Nov" /></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:GridView ID="GV_Languages" runat="server" SkinID="Skin_GridView" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="ODS_Languages" CssClass="List_GridView" OnRowDeleted="GV_Languages_RowDeleted" OnSelectedIndexChanging="GV_Languages_RowSelecting" DataKeyNames="Id" EnableViewState="False">
                <Columns>
                    <asp:BoundField DataField="Nazov" HeaderText="Nazov" SortExpression="Nazov" >
                        <ItemStyle Width="380px" />
                    </asp:BoundField>
                    <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" DeleteText="Zma" SelectText="Vyber" >
                        <ItemStyle CssClass="List_GridView_Command" />
                    </asp:CommandField>
                </Columns>
            </asp:GridView>
            <asp:ObjectDataSource ID="ODS_Languages" runat="server" DataObjectTypeName="Jazyk"
                DeleteMethod="Delete" EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
                SelectCountMethod="SelectCountByOsobaId" SelectMethod="SelectByOsobaIdPagedSorted" SortParameterName="sortExpression"
                TypeName="JazykBLL" UpdateMethod="Update">
                <SelectParameters>
                    <asp:Parameter Name="osobaId" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>
