<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditNoticeUC.ascx.cs" Inherits="EditNoticeUC" %>
<table id="TBL_Form" class="Form_Table">
    <tr class="Form_Header">
        <td colspan="4">
            Upravenie oznamu
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_AddedBy" runat="server" Text="Pridal"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_AddedBy" runat="server" CssClass="Form_TextBox_Long" ReadOnly="True"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
         </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Name" runat="server" Text="Nzov"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Name" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Name" runat="server" ErrorMessage="Nesprvny formt nzvu" ControlToValidate="TB_Name" 
                Display="Dynamic" ValidationExpression="[a-zA-Z0-9\040\u00C0-\u01FF]{1,100}" ToolTip="Nesprvny formt nzvu"><asp:Image ID="REV_Name_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Name" runat="server"
                ControlToValidate="TB_Name" ErrorMessage="Nie je zadan nzov" Display="Dynamic" ToolTip="Nie je zadan nzov"><asp:Image ID="RFV_Name_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Cathegory" runat="server" Text="Kategria"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Cathegories" runat="server" CssClass="Form_DropDownList_Long" DataSourceID="ODS_Cathegories" DataTextField="Typ" 
                DataValueField="Id" OnDataBound="DDL_Cathegories_DataBound">
            </asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Relevance" runat="server" Text="Dtum platnosti"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Relevance" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Relevance" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu platnosti" ControlToValidate="TB_Relevance" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu platnosti"><asp:Image ID="REV_Relevance_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Relevance" runat="server" ControlToValidate="TB_Relevance"
                ErrorMessage="Nie je zadan dtum platnosti" Display="Dynamic" ToolTip="Nie je zadan dtum platnosti"><asp:Image ID="RFV_Relevance_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Notice" runat="server" Text="Popis"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Notice" runat="server" CssClass="Form_TextArea_Long" TextMode="MultiLine"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Notice" runat="server" 
                ErrorMessage="Nesprvny formt textu popisu" ControlToValidate="TB_Notice" Display="Dynamic" ValidationExpression="[a-zA-Z\s\u002A-\u0039\040\u00C0-\u01FF]{1,8000}" 
                ToolTip="Nesprvny formt textu poznmky"><asp:Image ID="REV_Notice_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Notice" runat="server" ControlToValidate="TB_Notice"
                ErrorMessage="Nie je zadan text popisu" Display="Dynamic" ToolTip="Nie je text popisu"><asp:Image ID="RFV_Notice_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Button ID="BN_Edit" runat="server" CssClass="Button_WhiteBlue_Medium"
                Text="Zmeni" OnClick="BN_Edit_Click" />
            <asp:Button ID="BN_Delete" runat="server" CausesValidation="False" CssClass="Button_WhiteBlue_Medium"
                Text="Zmaza" OnClick="BN_Delete_Click" />
            <br />
            <asp:Button ID="BN_Back" runat="server" CausesValidation="False" CssClass="Button_WhiteBlue_Medium"
                OnClick="BN_Back_Click" Text="Nasp na oznamy" /></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>
<asp:ObjectDataSource ID="ODS_Cathegories" runat="server" DataObjectTypeName="TypOznamu"
    DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
    SelectMethod="Select" TypeName="TypOznamuBLL" UpdateMethod="Update"></asp:ObjectDataSource>
