<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditPrivateInfoUC.ascx.cs" Inherits="EditPrivateInfoUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Nationality" runat="server" Text="ttna prslunos"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Nationality" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Nationality" runat="server" ControlToValidate="TB_Nationality"
                Display="Dynamic" ErrorMessage="Nesprvny formt ttnej prslunosti" ToolTip="Nesprvny formt ttnej prslunosti"
                ValidationExpression="[a-zA-Z\040\u00C0-\u01FF]{1,100}">
                <asp:Image ID="REV_Nationality_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>&nbsp;
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Language" runat="server" Text="Materinsk jazyk"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Language" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Language" runat="server" ControlToValidate="TB_Language"
                Display="Dynamic" ErrorMessage="Nesprvny formt materinskho jazyka" ValidationExpression="[a-zA-Z\u00C0-\u01FF]{1,20}" ToolTip="Nesprvny formt materinskho jazyka">
                <asp:Image ID="REV_Language_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>&nbsp;
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_BirthSurename" runat="server" Text="Rodn priezvisko"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_BirthSurename" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_BirthSurename" runat="server" ControlToValidate="TB_BirthSurename"
                Display="Dynamic" ErrorMessage="Nesprvny formt nzvu rodnho priezviska" ValidationExpression="[a-zA-Z\u00C0-\u01FF]{1,20}" ToolTip="Nesprvny formt rodnho priezviska">
                <asp:Image ID="REV_BirthSurename_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>&nbsp;
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Birthday" runat="server" Text="Dtum narodenia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Birthday" runat="server" CssClass="Form_TextBox_Medium"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Birthday" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Birthday" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu"><asp:Image ID="REV_Birthday_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Birthday" runat="server" ControlToValidate="TB_Birthday"
                ErrorMessage="Nie je zadan dtum narodenia" Display="Dynamic" ToolTip="Nie je zadan dtum narodenia"><asp:Image ID="RFV_Birthday_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Success" runat="server" Visible="False" ForeColor="Green">daje uloen</asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Save" runat="server" CssClass="Button_WhiteBlue_Short" Text="Uloi" OnClick="BN_Save_Click" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>