using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EditProjectListUC : System.Web.UI.UserControl
{
    private Osoba osoba = null;

    public Osoba Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        ODS_Projects.SelectParameters["osobaId"].DefaultValue = osoba.Id.ToString();
    }

       protected void GV_Projects_RowEditing(object sender, GridViewEditEventArgs e)
    {
        int id = Convert.ToInt32( GV_Projects.DataKeys[e.NewEditIndex].Value );

        Response.Redirect("EditProject.aspx?Id=" + id.ToString());
    }

    protected void GV_Projects_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        int id = Convert.ToInt32( GV_Projects.DataKeys[e.RowIndex].Value );
        
        Projekt projekt = new Projekt();
        projekt.Id = id;

        ProjektDAL.Delete( projekt );
    }

    protected void GV_Projects_RowSelecting(object sender, GridViewSelectEventArgs e)
    {
        int id = Convert.ToInt32( GV_Projects.DataKeys[e.NewSelectedIndex].Value );

        Response.Redirect("ViewProject.aspx?Id=" + id.ToString());
    }
    protected void BN_Insert_Click(object sender, EventArgs e)
    {
        Session["riesitel"] = osoba.Id;

        Response.Redirect("InsertProject.aspx");
    }
}
