<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditProjectUC.ascx.cs" Inherits="EditProjectUC" %>
<table id="TBL_Form" class="Form_Table">
    <tr class="Form_Header">
        <td colspan="4">
            Pridanie projektu
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Name" runat="server" Text="Nzov projektu"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Name" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Name"
                runat="server" ControlToValidate="TB_Name" Display="Dynamic" ErrorMessage="Nesprvny formt nzvu projektu" ToolTip="Nesprvny formt nzvu projektu" ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,100}">
                <asp:Image ID="REV_Email_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Username" runat="server"
                ControlToValidate="TB_Name" Display="Dynamic" ErrorMessage="Nie je zadan nzov projektu" ToolTip="Nie je zadan nzov projektu">
                <asp:Image ID="RFV_Email_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Leader" runat="server" Text="Vedci projektu"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Leader" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox></td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Leader"
                runat="server" ControlToValidate="TB_Leader" Display="Dynamic" ErrorMessage="Nesprvny formt mena vedceho" ToolTip="Nesprvny formt mena vedceho" ValidationExpression="[a-zA-Z\040\u00C0-\u01FF]{1,100}">
                <asp:Image ID="REV_Leader_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Date" runat="server" Text="Dtum ukonenia"></asp:Label></td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Date" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Date"
                runat="server" ControlToValidate="TB_Date" Display="Dynamic" ErrorMessage="Nesprvny formt nzvu projektu" ToolTip="Nesprvny formt nzvu projektu"
                ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$">
                <asp:Image ID="REV_Date_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator><asp:RequiredFieldValidator ID="RFV_Date" runat="server"
                ControlToValidate="TB_Date" Display="Dynamic"
                ErrorMessage="Nie je zadan dtum ukonenia" ToolTip="Nie je zadan dtum ukonenia">
                <asp:Image ID="RFV_Date_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Abstract" runat="server" Text="Abstrakt"></asp:Label>
         </td>
         <td class="Form_TableCollumn_Left">
             <asp:TextBox ID="TB_Abstract" runat="server" CssClass="Form_TextArea_Long" TextMode="MultiLine"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Abstract"
                runat="server" ControlToValidate="TB_Abstract" Display="Dynamic" ErrorMessage="Nesprvny formt textu abstraktu" ToolTip="Nesprvny formt textu abstraktu"
                ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,8000}">
                <asp:Image ID="REV_Abstract_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator><asp:RequiredFieldValidator ID="RFV_Abstract" runat="server"
                ControlToValidate="TB_Abstract" Display="Dynamic"
                ErrorMessage="Nie je zadan text abstraktu" ToolTip="Nie je zadan text abstraktu">
                <asp:Image ID="RFV_Abstract_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Keywords" runat="server" Text="Kov slov"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Keywords" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Keywords"
                runat="server" ControlToValidate="TB_Keywords" Display="Dynamic" ErrorMessage="Nesprvny formt kovch slov" ToolTip="Nesprvny formt kovch slov"
                ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,8000}">
                <asp:Image ID="REV_Keywords_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator><asp:RequiredFieldValidator ID="RFV_Keywords" runat="server"
                ControlToValidate="TB_Keywords" Display="Dynamic"
                ErrorMessage="Nie s zadan kov slov" ToolTip="Nie s zadan kov slov">
                <asp:Image ID="RFV_Keywords_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Note" runat="server" Text="Poznmka"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Note" runat="server" CssClass="Form_TextArea_Long" TextMode="MultiLine"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Note"
                runat="server" ControlToValidate="TB_Note" Display="Dynamic" ErrorMessage="Nesprvny formt textu poznmky" ToolTip="Nesprvny formt textu poznmky"
                ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,8000}">
                <asp:Image ID="REV_Note_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
   <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Edit" runat="server" CssClass="Button_WhiteBlue_Medium" Text="Uloi zmeny" OnClick="BN_Edit_Click" />
            <asp:Button ID="BN_Delete" runat="server" CssClass="Button_WhiteBlue_Medium" Text="Zmaza projekt" OnClick="BN_Delete_Click" CausesValidation="False" /></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Back" runat="server" CssClass="Button_WhiteBlue_Medium" Text="Naspa" OnClick="BN_Back_Click" CausesValidation="False"/>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>