using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EditPublicInfoUC : System.Web.UI.UserControl
{
    private Osoba osoba = null;

    public Osoba Data
    {
        get { return osoba; }
        set { osoba = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        LA_Success.Visible = false;

        if( osoba != null )
        {
            TB_Firstname.Text = osoba.Meno;
            TB_Surename.Text = osoba.Priezvisko;
            TB_Titles.Text = osoba.Tituly;
            if( osoba.Pohlavie != null ) 
            {
                if ( osoba.Pohlavie == "Mu" ) RBL_Sex.SelectedIndex = 0;
                if ( osoba.Pohlavie == "ena" ) RBL_Sex.SelectedIndex = 1;
            }
        }
    }

    protected void BN_Save_Click(object sender, EventArgs e)
    {
        osoba.Meno = TB_Firstname.Text;
        osoba.Priezvisko = TB_Surename.Text;
        osoba.Tituly = TB_Titles.Text;
        if( RBL_Sex.SelectedIndex == 0 ) osoba.Pohlavie = "Mu";
        if( RBL_Sex.SelectedIndex == 1 ) osoba.Pohlavie = "ena";

        OsobaDAL.Update( osoba );

        LA_Success.Visible = true;
    }
}
