<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditStudiesUC.ascx.cs" Inherits="EditStudiesUC" %>
<table id="TBL_Form" class="Form_Table_NoBorder">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_School" runat="server" Text="kola"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_School" runat="server" CssClass="Form_DropDownList_Long" DataSourceID="ODS_Schools" DataTextField="Nazov" 
                DataValueField="Id">
            </asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Direction" runat="server" Text="Smer"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:DropDownList ID="DDL_Direction" runat="server" CssClass="Form_DropDownList_Long" DataSourceID="ODS_Directions" DataTextField="Nazov" 
                DataValueField="Id">
            </asp:DropDownList>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Started" runat="server" Text="Dtum zaiatku"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Started" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Started" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Started" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu"><asp:Image ID="REV_Started_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Started" runat="server" ControlToValidate="TB_Started"
                ErrorMessage="Nie je zadan dtum zaiatku" Display="Dynamic" ToolTip="Nie je zadan dtum narodenia"><asp:Image ID="RFV_Started_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Finished" runat="server" Text="Dtum ukonenia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Finished" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Finished" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Finished" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu"><asp:Image ID="REV_Finished_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr>
       <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Faculty" runat="server" Text="Fakulta"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Faculty" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Faculty" runat="server" ErrorMessage="Nesprvny formt nzvu firmy" ControlToValidate="TB_Faculty" 
                Display="Dynamic" ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,200}" ToolTip="Nesprvny formt nzvu firmy"><asp:Image ID="REV_Faculty_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator></td>
    </tr>  
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Odbor" runat="server" Text="Odbor"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Odbor" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Odbor" runat="server" ErrorMessage="Nesprvny formt nzvu firmy" ControlToValidate="TB_Odbor" 
                Display="Dynamic" ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,200}" ToolTip="Nesprvny formt nzvu firmy"><asp:Image ID="REV_Odbor_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator></td>
    </tr>
       <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Title" runat="server" Text="Titul"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Title" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Title" runat="server" ErrorMessage="Nesprvny formt nzvu firmy" ControlToValidate="TB_Title" 
                Display="Dynamic" ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,200}" ToolTip="Nesprvny formt nzvu firmy"><asp:Image ID="REV_Title_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
        </td>
    </tr> 
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:Button ID="BN_Insert" runat="server" CssClass="Button_WhiteBlue_Short"
                OnClick="BN_Insert_Click" Text="Prida" />
            <asp:Button ID="BN_Edit" runat="server" CssClass="Button_WhiteBlue_Short" 
                OnClick="BN_Edit_Click" Text="Zmeni" />
            <asp:Button ID="BN_New" runat="server" CausesValidation="False" CssClass="Button_WhiteBlue_Short"
                OnClick="BN_New_Click" Text="Nov" /></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
        <tr>
        <td colspan="1" class="Form_TableCollumn_Margin">
        </td>
        <td colspan="2" class="Form_TableCollumn_Center">
            <asp:GridView ID="GV_Studies" runat="server" AllowPaging="True" AllowSorting="True"
                AutoGenerateColumns="False" DataSourceID="ODS_Studies" EnableViewState="False" OnRowDeleting="GV_Studies_RowDeleting"
                OnSelectedIndexChanging="GV_Studies_RowSelecting" SkinID="Skin_GridView" DataKeyNames="Id">
                <Columns>
                    <asp:TemplateField HeaderText="N&#225;zov ankety" SortExpression="AnketaFK.Nazov">
                        <ItemStyle Width="250px" />
                        <ItemTemplate>
                            <asp:Label ID="LA_Name" runat="server" Text='<%# Eval("SkolaFK.Nazov") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="DatumOd" DataFormatString="{0:dd.MM.yyyy}" HeaderText="DatumOd"
                        HtmlEncode="False" SortExpression="DatumOd">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="DatumDo" DataFormatString="{0:dd.MM.yyyy}" HeaderText="DatumDo"
                        HtmlEncode="False" SortExpression="DatumDo">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:CommandField DeleteText="Zma" SelectText="Vyber" ShowDeleteButton="True" ShowSelectButton="True">
                        <ItemStyle CssClass="List_GridView_Command" />
                    </asp:CommandField>
                </Columns>
            </asp:GridView>
            <asp:ObjectDataSource ID="ODS_Studies" runat="server" DataObjectTypeName="Studium"
                DeleteMethod="Delete" EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
                SelectCountMethod="SelectCountByOsobaId" SelectMethod="SelectByOsobaIdPagedSorted" SortParameterName="sortExpression"
                TypeName="StudiumBLL" UpdateMethod="Update">
                <SelectParameters>
                    <asp:Parameter Name="osobaId" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>
<asp:ObjectDataSource ID="ODS_Schools" runat="server" DataObjectTypeName="Skola"
    DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
    SelectMethod="Select" TypeName="SkolaBLL" UpdateMethod="Update"></asp:ObjectDataSource>
<asp:ObjectDataSource ID="ODS_Directions" runat="server" DataObjectTypeName="Smer"
    DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
    SelectMethod="Select" TypeName="SmerBLL" UpdateMethod="Update"></asp:ObjectDataSource>

