<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditSurveyUC.ascx.cs" Inherits="EditSurveyUC" %>

<table id="TBL_Options" class="Form_Table">
    <tr class="Form_Header">
        <td colspan="4">
            Nastavenia ankety</td>
    </tr>
        <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Start" runat="server" Text="Dtum zaiatku"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Start" runat="server" CssClass="Form_TextBox_Longer"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Start" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Start" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu" ValidationGroup="Options"><asp:Image ID="REV_Start_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Start" runat="server" ControlToValidate="TB_Start"
                ErrorMessage="Nie je zadan dtum zaiatku" Display="Dynamic" ToolTip="Nie je zadan zaiatku" ValidationGroup="Options"><asp:Image ID="RFV_Start_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Finish" runat="server" Text="Dtum ukonenia"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Finish" runat="server" CssClass="Form_TextBox_Longer"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Finish" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="TB_Finish" 
                Display="Dynamic" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" 
                ToolTip="Nesprvny dtum alebo formt dtumu" ValidationGroup="Options"><asp:Image ID="REV_Finish_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Finish" runat="server" ControlToValidate="TB_Finish"
                ErrorMessage="Nie je zadan dtum ukonenia" Display="Dynamic" ToolTip="Nie je zadan dtum ukonenia" ValidationGroup="Options"><asp:Image ID="RFV_Finish_Image" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Options_Status" runat="server" Visible="False"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Start" runat="server" CssClass="Button_WhiteBlue_Medium" OnClick="BN_Start_Click"
                Text="Spusti anketu" ValidationGroup="Options" /></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Preview" runat="server" CssClass="Button_WhiteBlue_Medium"
                Text="Zobrazi nhad" OnClick="BN_Preview_Click" CausesValidation="False" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>

<br />

<table id="TBL_List" class="Form_Table">
    <tr class="Form_Header">
        <td colspan="4">
            Zoznam otzok</td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Question" runat="server" Text="Otzka"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Right">
            <asp:TextBox ID="TB_Question" runat="server" CssClass="Form_TextBox_Long"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
            <asp:RegularExpressionValidator ID="REV_Question"
                runat="server" ControlToValidate="TB_Question" Display="Dynamic" ErrorMessage="Nesprvny formt otzky" ToolTip="Nesprvny formt otzky"
                ValidationExpression="[a-zA-Z\u002A-\u0039\040\u00C0-\u01FF]{1,8000}" ValidationGroup="Question">
                <asp:Image ID="REV_Email_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RFV_Question" runat="server"
                ControlToValidate="TB_Question" Display="Dynamic"
                ErrorMessage="Nie je zadan text otzky" ToolTip="Nie je zadan text otzky" ValidationGroup="Question">
                <asp:Image ID="RFV_Question_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Label ID="LA_Question_Status" runat="server" Visible="False"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:Button ID="BN_Add" runat="server" CssClass="Button_WhiteBlue_Medium"
                Text="Prida otzku" OnClick="BN_Add_Click" ValidationGroup="Question" />
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="2">
            <asp:GridView ID="GV_Questions" runat="server" AllowPaging="True"
                EnableViewState="False" PageSize="20" SkinID="Skin_GridView" AutoGenerateColumns="False" DataKeyNames="Id" DataSourceID="ODS_Questions" OnRowEditing="GV_Questions_RowEditing">
                <Columns>
                    <asp:BoundField DataField="TextOtazky" HeaderText="Text ot&#225;zky" SortExpression="TextOtazky">
                        <ItemStyle Width="450px" />
                    </asp:BoundField>
                    <asp:CommandField EditText="Uprav" ShowEditButton="True">
                        <ItemStyle CssClass="List_GridView_Command" />
                    </asp:CommandField>
                </Columns>
            </asp:GridView>
            <asp:ObjectDataSource ID="ODS_Questions" runat="server" DataObjectTypeName="Otazka"
                DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
                SelectMethod="SelectByAnketaIdPagedSorted" TypeName="OtazkaBLL" UpdateMethod="Update" EnablePaging="True" SelectCountMethod="SelectCountByAnketaId" SortParameterName="sortExpression">
                <SelectParameters>
                    <asp:Parameter Name="anketaId" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>