<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExportSurveyUC.ascx.cs" Inherits="ExportSurveyUC" %>
<%@ Register Src="~/Controls/ShowEmptyUC.ascx" TagName="ShowEmptyControl" TagPrefix="uc" %>

<table>
    <tr>
        <td class="Form_TableCollumn_Center">
            <asp:GridView ID="GV_ExportSurvey" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" 
                DataSourceID="ODS_ExportSurvey" SkinID="Skin_GridView" DataKeyNames="Id" EnableViewState="False" 
                CssClass="List_GridView" OnRowCommand="GV_ExportSurvey_RowCommand" OnRowDataBound="GV_ExportSurvey_RowDataBound" >
                <Columns>
                    <%--<asp:BoundField DataField="Nazov" HeaderText="Nazov" SortExpression="Nazov">
                        <ItemStyle Width="250px" />
                    </asp:BoundField>--%>
                    <asp:TemplateField HeaderText="Nzov" SortExpression="AnketaFK.Nazov">
                        <ItemStyle Width="200px" />
                        <ItemTemplate>
                            <asp:Label ID="nazovAnkety" runat="server" Text='<%# Eval("AnketaFK.Nazov") %>' Width="200px" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="DatumOd" HeaderText="Spustenie" SortExpression="DatumOd" DataFormatString="{0:dd.MM.yyyy}" HtmlEncode="False">
                          <ItemStyle Width="100px" HorizontalAlign="center" />
                    </asp:BoundField>
                    <asp:BoundField DataField="DatumDo" HeaderText="Uzavretie" SortExpression="DatumDo" DataFormatString="{0:dd.MM.yyyy}" HtmlEncode="False">
                         <ItemStyle Width="100px" HorizontalAlign="center" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderText="Zastnench">
                        <ItemTemplate>
                            <asp:Label ID="accessesCount" runat="server" ></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:ButtonField Text=".xls" CommandName="XLS" HeaderText="Export do" >
                        <ItemStyle CssClass="List_GridView_Command" />
                    </asp:ButtonField>
                    <asp:ButtonField Text=".csv" CommandName="CSV" HeaderText="Export do">
                        <ItemStyle CssClass="List_GridView_Command" />
                    </asp:ButtonField>
                </Columns>
    		<EmptyDataTemplate>
        		<uc:ShowEmptyControl ID="UC_EC_NoData" Message="iadne ankety vhodn na export" runat="server" />
    		</EmptyDataTemplate>
            </asp:GridView>
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Center">
            <asp:Label ID="LA_Status" runat="server" Visible="False"></asp:Label>
        </td>
    </tr>
</table>

<asp:ObjectDataSource ID="ODS_ExportSurvey" runat="server" DataObjectTypeName="InstanciaAnkety"
    EnablePaging="True" OldValuesParameterFormatString="original_{0}"
    SelectCountMethod="SelectCount" SelectMethod="SelectPagedSorted" SortParameterName="sortExpression"
    TypeName="InstanciaAnketyBLL" UpdateMethod="Update">
</asp:ObjectDataSource>