<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewPrivateMessageAdminUC.ascx.cs" Inherits="NewPrivateMessageAdminUC" %>
<table id="TBL_Form">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Konto" runat="server" Text="Prjemca"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:TextBox ID="TB_Konto" runat="server" CssClass="Form_TextBox_Medium" EnableViewState="false"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:RequiredFieldValidator ID="RFV_KontoEmpty" runat="server"
                ControlToValidate="TB_Konto" Display="Dynamic"
                ErrorMessage="Nie je zadan prjemca" ToolTip="Nie je zadan prjemca">
                <asp:Image ID="RFV_Konto_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
            <asp:CustomValidator ID="RFV_KontoNotExist" runat="server" 
                ErrorMessage="Zadan prjemca neexistuje alebo sa nachdzate v jeho zozname zakzanch odosielateov" ToolTip="Zadan prjemca neexistuje alebo sa nachdzate v jeho zozname zakzanch odosielateov" 
                ControlToValidate="TB_Konto" Display="Dynamic" OnServerValidate="customKontoValidation">
                <asp:Image ID="RFV_KontoNotExist_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:CustomValidator>
        </td>
        <td class="Form_TableCollumn_Left" colspan="1" rowspan="2" style="width: 5px">
            <asp:Label ID="skupPrijemca" runat="server" Text="Skupinov prjemcovia:" CssClass="skupPrijemca" Width="158px"></asp:Label>
            <asp:ListBox ID="LB_Skupiny" runat="server" Width="158px" Rows="3" EnableViewState="False" ToolTip="Dvojklik pre pridanie do poloky Prjemca"></asp:ListBox></td>
        <td class="Form_TableCollumn_Margin">
            
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Predmet" runat="server" Text="Predmet"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:TextBox ID="TB_Predmet" runat="server" CssClass="Form_TextBox_Medium" MaxLength="100"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Left">
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Sprava" runat="server" Text="Sprva"></asp:Label></td>
        <td class="Form_TableCollumn_Left" colspan="3">
            <asp:TextBox ID="TB_Sprava" runat="server" CssClass="Form_TextArea_Medium_Sprava" TextMode="MultiLine" Font-Size="8" Wrap="true" Columns="55" Rows="10"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="4">
            <asp:Label ID="LA_Status" runat="server" Visible="False" EnableViewState="false"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="4">
            <asp:Label ID="LA_Status2" runat="server" Visible="False" EnableViewState="false"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Right" colspan="4">
            <asp:Button ID="BN_Odoslat" runat="server" CssClass="Button_WhiteBlue_Medium"
                Text="Odosla sprvu" OnClick="Button_Odoslat_Click"/>
         </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>