<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PrivateMessageBlackListUC.ascx.cs" Inherits="PrivateMessageBlackListUC" %>
<%@ Register Src="~/Controls/ShowEmptyUC.ascx" TagName="ShowEmptyControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>

<table id="TBL_Form">
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:Label ID="LA_Konto" runat="server" Text="Odosielate"></asp:Label>
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:TextBox ID="TB_Konto" runat="server" CssClass="Form_TextBox_Medium" EnableViewState="false"></asp:TextBox>
        </td>
        <td class="Form_TableCollumn_Left">
            <asp:RequiredFieldValidator ID="RFV_KontoEmpty" runat="server"
                ControlToValidate="TB_Konto" Display="Dynamic"
                ErrorMessage="Nie je zadan odosielate" ToolTip="Nie je zadan odosielate" ValidationGroup="AddGroup">
                <asp:Image ID="RFV_Konto_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:RequiredFieldValidator>
            <asp:CustomValidator ID="RFV_KontoNotExist" runat="server" 
                ErrorMessage="Zadan odosielate neexistuje" ToolTip="Zadan odosielate neexistuje" 
                ControlToValidate="TB_Konto" Display="Dynamic" OnServerValidate="customKontoValidation" ValidationGroup="AddGroup">
                <asp:Image ID="RFV_KontoNotExist_IMG" runat="server" SkinID="Skin_IMG_Validator" />
            </asp:CustomValidator>
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
            
       
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
        </td>
    <td class="Form_TableCollumn_Left" colspan="1">
            <asp:Label ID="skupOdosielatel" runat="server" Text="Skupinov odosielatelia:" CssClass="skupPrijemca"></asp:Label>
            </td>
        <td class="Form_TableCollumn_Left">
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
        </td>
    <td class="Form_TableCollumn_Left" colspan="1">
           <%-- <asp:Label ID="skupOdosielatel2" runat="server" Text="Skupinovi odosielatelia:" CssClass="skupPrijemca"></asp:Label>--%>
            <asp:ListBox ID="LB_Skupiny" runat="server" Rows="3" EnableViewState="False" ToolTip="Dvojklik pre pridanie do poloky Odosielate" CssClass="Form_ListBox_Medium"></asp:ListBox>
            </td>
        <td class="Form_TableCollumn_Left">
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="3">
            <asp:Label ID="LA_Status" runat="server" Visible="False" EnableViewState="false"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin" colspan="1">
        </td>
        <td class="Form_TableCollumn_Center" colspan="3">
            <asp:Label ID="LA_Status2" runat="server" Visible="False" EnableViewState="false"></asp:Label></td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
    <tr>
        <td class="Form_TableCollumn_Margin">
        </td>
        <td class="Form_TableCollumn_Left">
        </td>
        <td class="Form_TableCollumn_Left" colspan="1">
            <asp:Button ID="BN_Odoslat" runat="server" CssClass="Button_WhiteBlue_Medium2"
                Text="Prida" OnClick="Button_Odoslat_Click" ValidationGroup="AddGroup" />
         </td>
        <td class="Form_TableCollumn_Left">
        </td>
        <td class="Form_TableCollumn_Margin">
        </td>
    </tr>
</table>

<asp:GridView ID="grdBlackList" runat="server" AllowPaging="True" AllowSorting="True" PageSize="15" OnRowDataBound="grdBlackList_RowDataBound" AutoGenerateColumns="False" EnableViewState="False" EnableSortingAndPagingCallbacks="True" PagerSettings-Position="TopAndBottom" PagerSettings-Mode="NextPreviousFirstLast" DataKeyNames="Id,OdosielatelId" CssClass="Message_Table">
    <Columns>
        <asp:BoundField DataField="OdosielatelKonto" HeaderText="Odosielate" SortExpression="odosielatel_konto" />
        <asp:BoundField />
        <asp:BoundField >
            <ItemStyle CssClass="tabRowCheckBox" />
        </asp:BoundField>
    </Columns>
        <EmptyDataTemplate>
            <uc:ShowEmptyControl ID="UC_EC_NoData" Message="Pre dan poiadavku sa v databze nenachdzaj iadne poloky." runat="server" />
        </EmptyDataTemplate>
            <PagerSettings Mode="NumericFirstLast" Position="TopAndBottom" />
    <PagerStyle CssClass="List_GridView_Pager" />
    <HeaderStyle CssClass="List_GridView_Header" />
    <RowStyle CssClass="tabRow_Neparne" />
    <AlternatingRowStyle CssClass="tabRow_Parne" />
</asp:GridView>