using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DetailReceivedMessage : System.Web.UI.Page
{
    CustomPrincipal osoba;

    protected void Page_Load(object sender, EventArgs e)
    {
        if ((User != null) && (User.Identity.IsAuthenticated == true))
        {
            osoba = (CustomPrincipal)User;

            DetailReceivedMessageUC detailReceivedMessage = (DetailReceivedMessageUC)LoadControl("~/Controls/DetailReceivedMessageUC.ascx");
            detailReceivedMessage.ID = "UC_DetailReceivedMessage";
            detailReceivedMessage.Data = osoba;
            PH_PrivateMessage.Controls.Add(detailReceivedMessage);
            MN_Tabs_Top.Items[1].Selected = true;
      //      LA_TabName.Text = "Prijat sprvy";
        }
        //    Session["a"] = "1";
        //    ContentPlaceHolder PH_Received = MV_PrivateMessage.FindControl("PH_Received");

        else
        {
            ContentPlaceHolder Site_CPH_Page = (ContentPlaceHolder)Master.FindControl("Site_CPH_Page");
            Site_CPH_Page.Controls.Clear();
            Site_CPH_Page.Controls.Add((ShowErrorUC)LoadControl("~/Controls/ShowErrorUC.ascx"));
        }
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        if ((User != null) && (User.Identity.IsAuthenticated == true))
        {
            MN_Tabs_Top.Items[1].ToolTip = "Poet nepretanch sprv " + SpravaBLL.CountSelectByPrijemca3Precitana(osoba.Id, false, false);
        }
    }

    /*
    protected void grdReceivedMessages_RowDataBound(object sender, GridViewRowEventArgs e)
    {
      //  if (e.Row.RowType.Equals(DataControlRowType.DataRow)) pocetVsetkychSprav.Text += 1;
        if (e.Row.RowType.Equals(DataControlRowType.DataRow))
        {
            if (((Sprava)e.Row.DataItem).Precitana) e.Row.CssClass = "tabRow_msgReaded";
            else e.Row.CssClass = "tabRow_msgUnreaded";
            if (isParne)
            {
                e.Row.CssClass += " tabRow_Parne";
                isParne = false;
            }
            else
            {
                e.Row.CssClass += " tabRow_Neparne";
                isParne = true;
            }
        }
        
    }*/
    protected void MN_Tabs_MenuItemClick(object sender, MenuEventArgs e)
    {
        if (e.Item.Value.Equals("0"))
        {


        }

        else if (e.Item.Value.Equals("1"))
        {

        }
        else if (e.Item.Value.Equals("2"))
        {

        }
        else
        {


        }

    }


    /*
    protected void loadDataSourceOdoslane()
    {
        listOdoslane = SpravaBLL.SelectByOdosielatel(((CustomPrincipal)User).Id);
        grdSendMessages.DataSource = listOdoslane;
        grdSendMessages.DataBind();
    }*/
}
