<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Export.aspx.cs" Inherits="Export" Title="Alumni" %>
<%@ Register Src="~/Controls/ExportDataUC.ascx" TagName="ExportDataControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ExportStatisticsUC.ascx" TagName="ExportStatisticsControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ExportSurveyUC.ascx" TagName="ExportSurveyControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <table class="Profile_Table">
        <tr>
            <td class="Profile_Header">
               <asp:Menu ID="MN_Tabs" runat="server" OnMenuItemClick="MN_Tabs_MenuItemClick" Target="Export.aspx" ItemWrap="True" Orientation="Horizontal" CssClass="Menu_Table">
                    <StaticMenuItemStyle CssClass="Button_BlueWhite_Tab" />
                    <StaticSelectedStyle CssClass="Button_WhiteBlue_Tab" />
                    <Items>
                        <asp:MenuItem Selected="True" Text="Export &#250;dajov" Value="0"></asp:MenuItem>
                        <%--<asp:MenuItem Text="Export tatist&#237;k" Value="2"></asp:MenuItem>--%>
                        <asp:MenuItem Text="Export ankiet" Value="1"></asp:MenuItem>
                    </Items>
                </asp:Menu>
            </td>  
        </tr>
        <tr>
            <td>
                <asp:MultiView ID="MV_Export" runat="server" ActiveViewIndex="0" >
                    <asp:View ID="VW_ExportData" runat="server">
                        <asp:PlaceHolder ID="PH_ExportData" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <%--<asp:View ID="VW_ExportStatistics" runat="server">
                        <asp:PlaceHolder ID="PH_ExportStatistics" runat="server"></asp:PlaceHolder>
                    </asp:View>--%>
                    <asp:View ID="VW_ExportSurvey" runat="server">
                        <asp:PlaceHolder ID="PH_ExportSurvey" runat="server"></asp:PlaceHolder>
                    </asp:View>
                </asp:MultiView>
            </td>
        </tr>
    </table>
</asp:Content>

