using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Export : System.Web.UI.Page
{
    private PlaceHolder exportDataPlaceHolder;
    private PlaceHolder exportStatisticsPlaceHolder;
    private PlaceHolder exportSurveyPlaceHolder;

    protected void Page_Load(object sender, EventArgs e)
    {
        exportDataPlaceHolder = (PlaceHolder)MV_Export.FindControl("PH_ExportData");
        //exportStatisticsPlaceHolder = (PlaceHolder)MV_Export.FindControl("PH_ExportStatistics");
        exportSurveyPlaceHolder = (PlaceHolder)MV_Export.FindControl("PH_ExportSurvey");

        InsertExportData();
        //InsertExportStatistics();
        InsertExportSurvey();
    }
    protected void MN_Tabs_MenuItemClick(object sender, MenuEventArgs e)
    {
        MV_Export.ActiveViewIndex = Convert.ToInt32(e.Item.Value);
    }

    public void InsertExportStatistics()
    {
        ExportStatisticsUC exportStatistics = (ExportStatisticsUC)LoadControl("~/Controls/ExportStatisticsUC.ascx");
        exportStatistics.ID = "UC_ExportStatistics";
        //exportStatistics.Data = osoba;
        exportStatisticsPlaceHolder.Controls.Add(exportStatistics);
    }

    public void InsertExportData()
    {
        ExportDataUC exportData = (ExportDataUC)LoadControl("~/Controls/ExportDataUC.ascx");
        exportData.ID = "UC_ExportData";
        //exportStatistics.Data = osoba;
        exportDataPlaceHolder.Controls.Add(exportData);
    }

    public void InsertExportSurvey() 
    {
        ExportSurveyUC exportSurvey = (ExportSurveyUC)LoadControl("~/Controls/ExportSurveyUC.ascx");
        exportSurvey.ID = "UC_ExportSurvey";
        //exportStatistics.Data = osoba;
        exportSurveyPlaceHolder.Controls.Add(exportSurvey);
    }
}
