using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class InsertNotice : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void BN_Back_Click(object sender, EventArgs e)
    {
        Response.Redirect("Board.aspx");
    }

    private void ShowError( string text )
    {
        LA_Status.ForeColor = System.Drawing.Color.Red;
        LA_Status.Text = text;
        LA_Status.Visible = true;
    }

    private void HideStatus()
    {
        LA_Status.Visible = false;
    }

    private void ShowSuccess( string text )
    {
        LA_Status.ForeColor = System.Drawing.Color.Green;
        LA_Status.Text = text;
        LA_Status.Visible = true;
    }
    protected void BN_Add_Click(object sender, EventArgs e)
    {
        Oznam oznam = new Oznam();

        oznam.DatumPlatnosti = DateTime.Parse( TB_Relevance.Text );
        oznam.Nazov = TB_Name.Text;
        oznam.OsobaId = ((CustomPrincipal)User).Id;
        oznam.Popis = TB_Notice.Text;
        oznam.TypOznamuId = Convert.ToInt32( DDL_Cathegories.SelectedValue );

        OznamDAL.Insert( oznam );

        ShowSuccess("Oznam bol pridan");
    }
}
