using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class NewPrivateMessage : System.Web.UI.Page
{

    //List<Sprava> listPrijate;
    //List<Sprava> listOdoslane;
    //string a;
    CustomPrincipal osoba;

    protected void Page_Load(object sender, EventArgs e)
    {
        if ((User != null) && (User.Identity.IsAuthenticated == true))
        {
            osoba = (CustomPrincipal)User;

            //NewPrivateMessageUC newMessage = (NewPrivateMessageUC)LoadControl("~/Controls/NewPrivateMessageUC.ascx");
            //newMessage.ID = "UC_NewPrivateMessage";
            //newMessage.Data = osoba;
            //PH_New.Controls.Add(newMessage);
            //MN_Tabs_Top.Items[0].Selected = true;

            if (osoba.IsInRole("Administrtor") || osoba.IsInRole("Fakultnk"))
            {
                NewPrivateMessageAdminUC newMessage = (NewPrivateMessageAdminUC)LoadControl("~/Controls/NewPrivateMessageAdminUC.ascx");
                newMessage.ID = "UC_NewPrivateMessage";
                newMessage.Data = osoba;
                PH_New.Controls.Add(newMessage);
                MN_Tabs_Top.Items[0].Selected = true;
            }
            else
            {
                NewPrivateMessageUC newMessage = (NewPrivateMessageUC)LoadControl("~/Controls/NewPrivateMessageUC.ascx");
                newMessage.ID = "UC_NewPrivateMessage";
                newMessage.Data = osoba;
                PH_New.Controls.Add(newMessage);
                MN_Tabs_Top.Items[0].Selected = true;
            }
            
            //LA_TabName.Text = "Nov sprva";
        }
        //Session["a"] = "1";
        //ContentPlaceHolder PH_Received = MV_PrivateMessage.FindControl("PH_Received");

        else
        {
            ContentPlaceHolder Site_CPH_Page = (ContentPlaceHolder)Master.FindControl("Site_CPH_Page");
            Site_CPH_Page.Controls.Clear();
            Site_CPH_Page.Controls.Add((ShowErrorUC)LoadControl("~/Controls/ShowErrorUC.ascx"));
        }
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        if ((User != null) && (User.Identity.IsAuthenticated == true))
        {
            MN_Tabs_Top.Items[1].ToolTip = "Poet nepretanch sprv " + SpravaBLL.CountSelectByPrijemca3Precitana(osoba.Id, false, false);
        }
    }

    /*
    protected void grdReceivedMessages_RowDataBound(object sender, GridViewRowEventArgs e)
    {
      //  if (e.Row.RowType.Equals(DataControlRowType.DataRow)) pocetVsetkychSprav.Text += 1;
        if (e.Row.RowType.Equals(DataControlRowType.DataRow))
        {
            if (((Sprava)e.Row.DataItem).Precitana) e.Row.CssClass = "tabRow_msgReaded";
            else e.Row.CssClass = "tabRow_msgUnreaded";
            if (isParne)
            {
                e.Row.CssClass += " tabRow_Parne";
                isParne = false;
            }
            else
            {
                e.Row.CssClass += " tabRow_Neparne";
                isParne = true;
            }
        }
        
    }*/
    protected void MN_Tabs_MenuItemClick(object sender, MenuEventArgs e)
    {
        if (e.Item.Value.Equals("0"))
        {


        }

        else if (e.Item.Value.Equals("1"))
        {

        }
        else if (e.Item.Value.Equals("2"))
        {

        }
        else
        {


        }

    }


    /*
    protected void loadDataSourceOdoslane()
    {
        listOdoslane = SpravaBLL.SelectByOdosielatel(((CustomPrincipal)User).Id);
        grdSendMessages.DataSource = listOdoslane;
        grdSendMessages.DataBind();
    }*/
}
