<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="ProjectList.aspx.cs" Inherits="ProjectList" Title="Untitled Page" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <asp:GridView ID="GV_Projects" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" DataSourceID="ODS_Projects" SkinID="Skin_GridView" OnRowDeleting="GV_Projects_RowDeleting" OnRowEditing="GV_Projects_RowEditing" DataKeyNames="Id" OnSelectedIndexChanging="GV_Projects_RowSelecting" CssClass="List_GridView">
        <Columns>
            <asp:BoundField DataField="Nazov" HeaderText="N&#225;zov" SortExpression="Nazov">
                <ItemStyle Width="300px" />
            </asp:BoundField>
            <asp:TemplateField HeaderText="Meno rieitea" SortExpression="OsobaFK.Meno">
                <ItemStyle Width="100px" />
                <ItemTemplate>
                    <asp:Label ID="LA_Firstname" runat="server" Text='<%# Eval("OsobaFK.Meno") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Priezvisko rieitea" SortExpression="OsobaFK.Priezvisko">
                <ItemStyle Width="100px" />
                <ItemTemplate>
                    <asp:Label ID="LA_Surename" runat="server" Text='<%# Eval("OsobaFK.Priezvisko") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="DatumVypracovania" HeaderText="Vypracovan&#253;" SortExpression="DatumVypracovania" DataFormatString="{0:dd.MM.yyyy}" HtmlEncode="False">
                <ItemStyle Width="100px" />
            </asp:BoundField>
            <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowSelectButton="True" DeleteText="Zma" EditText="Uprav" SelectText="Vyber" >
                <ItemStyle CssClass="List_GridView_Command" />
            </asp:CommandField>
        </Columns>
        <EmptyDataTemplate>
            <uc:ShowErrorControl ID="UC_EC_NoData" ErrorText="V databze nie su iadne projekty" runat="server" />
        </EmptyDataTemplate>
    </asp:GridView>
    <asp:ObjectDataSource ID="ODS_Projects" runat="server" DataObjectTypeName="Projekt"
        DeleteMethod="Delete" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
        SelectMethod="SelectPagedSorted" TypeName="ProjektBLL" UpdateMethod="Update" EnablePaging="True" SelectCountMethod="SelectCount" SortParameterName="sortExpression">
    </asp:ObjectDataSource>
</asp:Content>

