using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ProjectList : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if( User != null && User.Identity.IsAuthenticated )
        {
            if( User.IsInRole("Administrtor") ) 
            {
                ((CommandField)GV_Projects.Columns[4]).ShowDeleteButton = true;
                ((CommandField)GV_Projects.Columns[4]).ShowEditButton = true;
                ((CommandField)GV_Projects.Columns[4]).ShowSelectButton = true;
                
                return;
            }
        }

        ((CommandField)GV_Projects.Columns[4]).ShowDeleteButton = false;
        ((CommandField)GV_Projects.Columns[4]).ShowEditButton = false;
        ((CommandField)GV_Projects.Columns[4]).ShowSelectButton = true;
    }

    protected void GV_Projects_RowEditing(object sender, GridViewEditEventArgs e)
    {
        int id = Convert.ToInt32( GV_Projects.DataKeys[e.NewEditIndex].Value );

        Response.Redirect("EditProject.aspx?Id=" + id.ToString());
    }

    protected void GV_Projects_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        int id = Convert.ToInt32( GV_Projects.DataKeys[e.RowIndex].Value );
        
        Projekt projekt = new Projekt();
        projekt.Id = id;

        ProjektDAL.Delete( projekt );
    }

    protected void GV_Projects_RowSelecting(object sender, GridViewSelectEventArgs e)
    {
        int id = Convert.ToInt32( GV_Projects.DataKeys[e.NewSelectedIndex].Value );

        Response.Redirect("ViewProject.aspx?Id=" + id.ToString());
    }
}
