﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="SurveyAnswers.aspx.cs" Inherits="SurveyAnswers" Title="Alumni" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <asp:Button ID="BN_Stop" runat="server" CssClass="Button_WhiteBlue_Medium" OnClick="BN_Stop_Click"
        Text="Zastaviť anketu" />
    <asp:GridView ID="GV_Answers" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" CssClass="List_GridView" DataSourceID="ODS_Answers"
        OnSelectedIndexChanging="GV_Answers_RowSelecting" PageSize="50" SkinID="Skin_GridView" DataKeyNames="InstanciaAnketyId,OsobaId">
        <Columns>
            <asp:TemplateField HeaderText="Meno" SortExpression="OsobaFK.Meno">
                <ItemTemplate>
                    <asp:Label ID="LA_Firstname" runat="server" Text='<%# Eval("OsobaFK.Meno") %>'></asp:Label>
                </ItemTemplate>
                <ItemStyle Width="200px" />
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Priezvisko" SortExpression="OsobaFK.Priezvisko">
                <ItemTemplate>
                    <asp:Label ID="LA_Surename" runat="server" Text='<%# Eval("OsobaFK.Priezvisko") %>'></asp:Label>
                </ItemTemplate>
                <ItemStyle Width="300px" />
            </asp:TemplateField>
            <asp:CommandField SelectText="Vyber" ShowSelectButton="True">
                <ItemStyle CssClass="List_GridView_Command" />
            </asp:CommandField>
        </Columns>
        <EmptyDataTemplate>
            <uc:ShowErrorControl ID="UC_EC_NoData" runat="server" ErrorText="Inštancia ankety neexistuje alebo nie su k nej ziadne odpovede" />
        </EmptyDataTemplate>
    </asp:GridView>
    <asp:ObjectDataSource ID="ODS_Answers" runat="server" DataObjectTypeName="Odpoved"
        DeleteMethod="Delete" EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
        SelectCountMethod="DistinctCountInstanciaIdByOsobaId" SelectMethod="DistinctInstanciaIdByOsobaIdPagedSorted" SortParameterName="sortExpression"
        TypeName="OdpovedBLL" UpdateMethod="Update">
        <SelectParameters>
            <asp:Parameter Name="instanciaId" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>

