<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="SurveyStatus.aspx.cs" Inherits="SurveyStatus" Title="Alumni" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <asp:GridView ID="GV_Instances" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" CssClass="List_GridView" DataSourceID="ODS_Instances"
        OnSelectedIndexChanging="GV_Instances_RowSelecting" PageSize="50" SkinID="Skin_GridView" DataKeyNames="Id">
        <Columns>
            <asp:TemplateField HeaderText="N&#225;zov ankety" SortExpression="AnketaFK.Nazov">
                <ItemStyle Width="350px" />
                <ItemTemplate>
                    <asp:Label ID="LA_Name" runat="server" Text='<%# Eval("AnketaFK.Nazov") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="DatumOd" DataFormatString="{0:dd.MM.yyyy}" HeaderText="Od"
                HtmlEncode="False" SortExpression="DatumOd">
                <ItemStyle Width="100px" />
            </asp:BoundField>
            <asp:BoundField DataField="DatumDo" DataFormatString="{0:dd.MM.yyyy}" HeaderText="Do"
                HtmlEncode="False" SortExpression="DatumDo">
                <ItemStyle Width="100px" />
            </asp:BoundField>
            <asp:CommandField SelectText="Vyber" ShowSelectButton="True">
                <ItemStyle CssClass="List_GridView_Command" />
            </asp:CommandField>
        </Columns>
        <EmptyDataTemplate>
            <uc:showerrorcontrol id="UC_EC_NoData" runat="server" errortext="V databze iadne intancie ankiet">
            </uc:showerrorcontrol>
        </EmptyDataTemplate>
    </asp:GridView>
    <asp:ObjectDataSource ID="ODS_Instances" runat="server" DataObjectTypeName="InstanciaAnkety" DeleteMethod="Delete"
        EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
        SelectCountMethod="SelectCount" SelectMethod="SelectPagedSorted" SortParameterName="sortExpression"
        TypeName="InstanciaAnketyBLL" UpdateMethod="Update">
    </asp:ObjectDataSource>
</asp:Content>

