<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="UserList.aspx.cs" Inherits="UserList" Title="Alumni" %>
<%@ Register Src="~/Controls/ShowErrorUC.ascx" TagName="ShowErrorControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <asp:GridView ID="GV_Users" runat="server" AllowPaging="True" AllowSorting="True"
        CssClass="List_GridView" PageSize="50" SkinID="Skin_GridView" AutoGenerateColumns="False" DataKeyNames="Id" DataSourceID="ODS_Users" OnSelectedIndexChanging="GV_Users_RowSelecting">
        <Columns>
            <asp:BoundField DataField="Meno" HeaderText="Meno" SortExpression="Meno">
                <ItemStyle Width="150px" />
            </asp:BoundField>
            <asp:BoundField DataField="Priezvisko" HeaderText="Priezvisko" SortExpression="Priezvisko">
                <ItemStyle Width="150px" />
            </asp:BoundField>
            <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email">
                <ItemStyle Width="250px" />
            </asp:BoundField>
            <asp:CommandField SelectText="Vyber" ShowSelectButton="True">
                <ItemStyle CssClass="List_GridView_Command" />
            </asp:CommandField>
        </Columns>
        <EmptyDataTemplate>
            <uc:ShowErrorControl ID="UC_EC_NoData" ErrorText="V databze nie s iadny pouvatelia" runat="server" />
        </EmptyDataTemplate>
    </asp:GridView>
    <asp:ObjectDataSource ID="ODS_Users" runat="server" DataObjectTypeName="Osoba" DeleteMethod="Delete"
        EnablePaging="True" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}"
        SelectCountMethod="SelectCount" SelectMethod="SelectPagedSorted" TypeName="OsobaBLL"
        UpdateMethod="Update" SortParameterName="sortExpression" OnSelecting="ODS_Users_Selecting">
    </asp:ObjectDataSource>
</asp:Content>

