<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="UserProfile.aspx.cs" Inherits="UserProfile" Title="Alumni" %>
<%@ Register Src="~/Controls/EditAddressUC.ascx" TagName="EditAddressControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewAddressUC.ascx" TagName="ViewAddressControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/EditPublicInfoUC.ascx" TagName="EditPublicInfoControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewPublicInfoUC.ascx" TagName="ViewPublicInfoControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/EditContactUC.ascx" TagName="EditContactControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewContactUC.ascx" TagName="ViewContactControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/EditPrivateInfoUC.ascx" TagName="EditPrivateInfoControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewPrivateInfoUC.ascx" TagName="ViewPrivateInfoControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ChangePasswordUC.ascx" TagName="ChangePasswordControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/AdminProfileUC.ascx" TagName="AdminProfileControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/EditProjectListUC.ascx" TagName="EditProjectListControl" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ViewProjectListUC.ascx" TagName="ViewProjectListControl" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Site_CPH_Page" Runat="Server">
    <table class="Profile_Table">
        <tr>
            <td class="Profile_Header">
                <asp:Menu ID="MN_Tabs_Top" runat="server" OnMenuItemClick="MN_Tabs_MenuItemClick" Target="UserProfile.aspx" Orientation="Horizontal" CssClass="Menu_Table">
                    <StaticMenuItemStyle CssClass="Button_BlueWhite_Tab" />
                    <StaticSelectedStyle CssClass="Button_WhiteBlue_Tab" />
                </asp:Menu>
                <asp:Menu ID="MN_Tabs_Bottom" runat="server" OnMenuItemClick="MN_Tabs_MenuItemClick" Target="UserProfile.aspx" Orientation="Horizontal" CssClass="Menu_Table">
                    <StaticMenuItemStyle CssClass="Button_BlueWhite_Tab" />
                    <StaticSelectedStyle CssClass="Button_WhiteBlue_Tab" />
                </asp:Menu>
            </td>
        </tr>
        <tr>
            <td id="Profile_Bottom_Left">
                <asp:MultiView ID="MV_Profile" runat="server" ActiveViewIndex="0" >
                    <asp:View ID="VW_Public" runat="server">
                        <asp:PlaceHolder ID="PH_Public" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Private" runat="server">
                        <asp:PlaceHolder ID="PH_Private" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Address" runat="server">
                        <asp:PlaceHolder ID="PH_Address" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Contact" runat="server">
                        <asp:PlaceHolder ID="PH_Contact" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Password" runat="server">
                        <asp:PlaceHolder ID="PH_Password" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Projects" runat="server">
                        <asp:PlaceHolder ID="PH_Projects" runat="server"></asp:PlaceHolder>
                    </asp:View>
                    <asp:View ID="VW_Admin" runat="server">
                        <asp:PlaceHolder ID="PH_Admin" runat="server"></asp:PlaceHolder>
                    </asp:View>
                </asp:MultiView>
            </td>
        </tr>
    </table>
</asp:Content>

